/*
    IA32
    copyright (c) 1998-2011 Kazuki Iwamoto http://www.maid.org/ iwm@maid.org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "user32.h"
#include "ia32/message.h"


/* ActivateKeyboardLayout ordinal = 1502, argument = 8 */
static gboolean user32_ActivateKeyboardLayout (Ia32Thread *thread)
{
  return FALSE;
}


/* AddClipboardFormatListener ordinal = 1503, argument = 0 */
static gboolean user32_AddClipboardFormatListener (Ia32Thread *thread)
{
  return FALSE;
}


/* AdjustWindowRect ordinal = 1504, argument = 12 */
static gboolean user32_AdjustWindowRect (Ia32Thread *thread)
{
  return FALSE;
}


/* AdjustWindowRectEx ordinal = 1505, argument = 16 */
static gboolean user32_AdjustWindowRectEx (Ia32Thread *thread)
{
  return FALSE;
}


/* AlignRects ordinal = 1506, argument = 0 */
static gboolean user32_AlignRects (Ia32Thread *thread)
{
  return FALSE;
}


/* AllowForegroundActivation ordinal = 1507, argument = 0 */
static gboolean user32_AllowForegroundActivation (Ia32Thread *thread)
{
  return FALSE;
}


/* AllowSetForegroundWindow ordinal = 1508, argument = 4 */
static gboolean user32_AllowSetForegroundWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* AnimateWindow ordinal = 1509, argument = 12 */
static gboolean user32_AnimateWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* AnyPopup ordinal = 1510, argument = 0 */
static gboolean user32_AnyPopup (Ia32Thread *thread)
{
  return FALSE;
}


/* AppendMenuA ordinal = 1511, argument = 16 */
static gboolean user32_AppendMenuA (Ia32Thread *thread)
{
  return FALSE;
}


/* AppendMenuW ordinal = 1512, argument = 16 */
static gboolean user32_AppendMenuW (Ia32Thread *thread)
{
  return FALSE;
}


/* ArrangeIconicWindows ordinal = 1513, argument = 4 */
static gboolean user32_ArrangeIconicWindows (Ia32Thread *thread)
{
  return FALSE;
}


/* AttachThreadInput ordinal = 1514, argument = 12 */
static gboolean user32_AttachThreadInput (Ia32Thread *thread)
{
  return FALSE;
}


/* BeginDeferWindowPos ordinal = 1515, argument = 4 */
static gboolean user32_BeginDeferWindowPos (Ia32Thread *thread)
{
  return FALSE;
}


/* BeginPaint ordinal = 1516, argument = 8 */
static gboolean user32_BeginPaint (Ia32Thread *thread)
{
  return FALSE;
}


/* BlockInput ordinal = 1517, argument = 4 */
static gboolean user32_BlockInput (Ia32Thread *thread)
{
  thread->reg.eax = TRUE;
  ia32_message_record_api_with_argument (thread,
                                        "BlockInput", IA32_MESSAGE_DEC,
                                        "fBlock", IA32_MESSAGE_DEC,
                                        NULL);
  return TRUE;
}


/* BringWindowToTop ordinal = 1518, argument = 4 */
static gboolean user32_BringWindowToTop (Ia32Thread *thread)
{
  return FALSE;
}


/* BroadcastSystemMessage ordinal = 1519, argument = 20 */
/* static gboolean user32_BroadcastSystemMessage (Ia32Thread *thread) */


/* BroadcastSystemMessageA ordinal = 1520, argument = 20 */
static gboolean user32_BroadcastSystemMessageA (Ia32Thread *thread)
{
  return FALSE;
}


/* BroadcastSystemMessageExA ordinal = 1521, argument = 0 */
static gboolean user32_BroadcastSystemMessageExA (Ia32Thread *thread)
{
  return FALSE;
}


/* BroadcastSystemMessageExW ordinal = 1522, argument = 0 */
static gboolean user32_BroadcastSystemMessageExW (Ia32Thread *thread)
{
  return FALSE;
}


/* BroadcastSystemMessageW ordinal = 1523, argument = 20 */
static gboolean user32_BroadcastSystemMessageW (Ia32Thread *thread)
{
  return FALSE;
}


/* BuildReasonArray ordinal = 1524, argument = 0 */
static gboolean user32_BuildReasonArray (Ia32Thread *thread)
{
  return FALSE;
}


/* CalcMenuBar ordinal = 1525, argument = 0 */
static gboolean user32_CalcMenuBar (Ia32Thread *thread)
{
  return FALSE;
}


/* CalculatePopupWindowPosition ordinal = 1526, argument = 0 */
static gboolean user32_CalculatePopupWindowPosition (Ia32Thread *thread)
{
  return FALSE;
}


/* CallMsgFilter ordinal = 1527, argument = 8 */
/* static gboolean user32_CallMsgFilter (Ia32Thread *thread) */


/* CallMsgFilterA ordinal = 1528, argument = 8 */
static gboolean user32_CallMsgFilterA (Ia32Thread *thread)
{
  return FALSE;
}


/* CallMsgFilterW ordinal = 1529, argument = 8 */
static gboolean user32_CallMsgFilterW (Ia32Thread *thread)
{
  return FALSE;
}


/* CallNextHookEx ordinal = 1530, argument = 16 */
static gboolean user32_CallNextHookEx (Ia32Thread *thread)
{
  return FALSE;
}


/* CallWindowProcA ordinal = 1531, argument = 20 */
static gboolean user32_CallWindowProcA (Ia32Thread *thread)
{
  return FALSE;
}


/* CallWindowProcW ordinal = 1532, argument = 20 */
static gboolean user32_CallWindowProcW (Ia32Thread *thread)
{
  return FALSE;
}


/* CancelShutdown ordinal = 1533, argument = 0 */
static gboolean user32_CancelShutdown (Ia32Thread *thread)
{
  return FALSE;
}


/* CascadeChildWindows ordinal = 1534, argument = 8 */
static gboolean user32_CascadeChildWindows (Ia32Thread *thread)
{
  return FALSE;
}


/* CascadeWindows ordinal = 1535, argument = 20 */
static gboolean user32_CascadeWindows (Ia32Thread *thread)
{
  return FALSE;
}


/* ChangeClipboardChain ordinal = 1536, argument = 8 */
static gboolean user32_ChangeClipboardChain (Ia32Thread *thread)
{
  return FALSE;
}


/* ChangeDisplaySettingsA ordinal = 1537, argument = 8 */
static gboolean user32_ChangeDisplaySettingsA (Ia32Thread *thread)
{
  return FALSE;
}


/* ChangeDisplaySettingsExA ordinal = 1538, argument = 20 */
static gboolean user32_ChangeDisplaySettingsExA (Ia32Thread *thread)
{
  return FALSE;
}


/* ChangeDisplaySettingsExW ordinal = 1539, argument = 20 */
static gboolean user32_ChangeDisplaySettingsExW (Ia32Thread *thread)
{
  return FALSE;
}


/* ChangeDisplaySettingsW ordinal = 1540, argument = 8 */
static gboolean user32_ChangeDisplaySettingsW (Ia32Thread *thread)
{
  return FALSE;
}


/* ChangeMenuA ordinal = 1541, argument = 20 */
static gboolean user32_ChangeMenuA (Ia32Thread *thread)
{
  return FALSE;
}


/* ChangeMenuW ordinal = 1542, argument = 20 */
static gboolean user32_ChangeMenuW (Ia32Thread *thread)
{
  return FALSE;
}


/* ChangeWindowMessageFilter ordinal = 1543, argument = 0 */
static gboolean user32_ChangeWindowMessageFilter (Ia32Thread *thread)
{
  return FALSE;
}


/* ChangeWindowMessageFilterEx ordinal = 1544, argument = 0 */
static gboolean user32_ChangeWindowMessageFilterEx (Ia32Thread *thread)
{
  return FALSE;
}


/* CharLowerA ordinal = 1545, argument = 4 */
static gboolean user32_CharLowerA (Ia32Thread *thread)
{
  return FALSE;
}


/* CharLowerBuffA ordinal = 1546, argument = 8 */
static gboolean user32_CharLowerBuffA (Ia32Thread *thread)
{
  return FALSE;
}


/* CharLowerBuffW ordinal = 1547, argument = 8 */
static gboolean user32_CharLowerBuffW (Ia32Thread *thread)
{
  return FALSE;
}


/* CharLowerW ordinal = 1548, argument = 4 */
static gboolean user32_CharLowerW (Ia32Thread *thread)
{
  return FALSE;
}


/* CharNextA ordinal = 1549, argument = 4 */
static gboolean user32_CharNextA (Ia32Thread *thread)
{
  return FALSE;
}


/* CharNextExA ordinal = 1557, argument = 12 */
static gboolean user32_CharNextExA (Ia32Thread *thread)
{
  return FALSE;
}


/* CharNextW ordinal = 1558, argument = 4 */
static gboolean user32_CharNextW (Ia32Thread *thread)
{
  return FALSE;
}


/* CharPrevA ordinal = 1559, argument = 8 */
static gboolean user32_CharPrevA (Ia32Thread *thread)
{
  return FALSE;
}


/* CharPrevExA ordinal = 1560, argument = 16 */
static gboolean user32_CharPrevExA (Ia32Thread *thread)
{
  return FALSE;
}


/* CharPrevW ordinal = 1561, argument = 8 */
static gboolean user32_CharPrevW (Ia32Thread *thread)
{
  return FALSE;
}


/* CharToOemA ordinal = 1562, argument = 8 */
static gboolean user32_CharToOemA (Ia32Thread *thread)
{
  return FALSE;
}


/* CharToOemBuffA ordinal = 1563, argument = 12 */
static gboolean user32_CharToOemBuffA (Ia32Thread *thread)
{
  return FALSE;
}


/* CharToOemBuffW ordinal = 1564, argument = 12 */
static gboolean user32_CharToOemBuffW (Ia32Thread *thread)
{
  return FALSE;
}


/* CharToOemW ordinal = 1565, argument = 8 */
static gboolean user32_CharToOemW (Ia32Thread *thread)
{
  return FALSE;
}


/* CharUpperA ordinal = 1566, argument = 4 */
static gboolean user32_CharUpperA (Ia32Thread *thread)
{
  return FALSE;
}


/* CharUpperBuffA ordinal = 1567, argument = 8 */
static gboolean user32_CharUpperBuffA (Ia32Thread *thread)
{
  return FALSE;
}


/* CharUpperBuffW ordinal = 1568, argument = 8 */
static gboolean user32_CharUpperBuffW (Ia32Thread *thread)
{
  return FALSE;
}


/* CharUpperW ordinal = 1569, argument = 4 */
static gboolean user32_CharUpperW (Ia32Thread *thread)
{
  return FALSE;
}


/* CheckDesktopByThreadId ordinal = 1570, argument = 0 */
static gboolean user32_CheckDesktopByThreadId (Ia32Thread *thread)
{
  return FALSE;
}


/* CheckDlgButton ordinal = 1571, argument = 12 */
static gboolean user32_CheckDlgButton (Ia32Thread *thread)
{
  return FALSE;
}


/* CheckMenuItem ordinal = 1572, argument = 12 */
static gboolean user32_CheckMenuItem (Ia32Thread *thread)
{
  return FALSE;
}


/* CheckMenuRadioItem ordinal = 1573, argument = 20 */
static gboolean user32_CheckMenuRadioItem (Ia32Thread *thread)
{
  return FALSE;
}


/* CheckRadioButton ordinal = 1574, argument = 16 */
static gboolean user32_CheckRadioButton (Ia32Thread *thread)
{
  return FALSE;
}


/* CheckWindowThreadDesktop ordinal = 1575, argument = 0 */
static gboolean user32_CheckWindowThreadDesktop (Ia32Thread *thread)
{
  return FALSE;
}


/* ChildWindowFromPoint ordinal = 1576, argument = 12 */
static gboolean user32_ChildWindowFromPoint (Ia32Thread *thread)
{
  return FALSE;
}


/* ChildWindowFromPointEx ordinal = 1577, argument = 16 */
static gboolean user32_ChildWindowFromPointEx (Ia32Thread *thread)
{
  return FALSE;
}


/* CliImmSetHotKey ordinal = 1578, argument = 0 */
static gboolean user32_CliImmSetHotKey (Ia32Thread *thread)
{
  return FALSE;
}


/* ClientThreadSetup ordinal = 1579, argument = 0 */
static gboolean user32_ClientThreadSetup (Ia32Thread *thread)
{
  return FALSE;
}


/* ClientToScreen ordinal = 1580, argument = 8 */
static gboolean user32_ClientToScreen (Ia32Thread *thread)
{
  return FALSE;
}


/* ClipCursor ordinal = 1581, argument = 4 */
static gboolean user32_ClipCursor (Ia32Thread *thread)
{
  return FALSE;
}


/* CloseClipboard ordinal = 1582, argument = 0 */
static gboolean user32_CloseClipboard (Ia32Thread *thread)
{
  return FALSE;
}


/* CloseDesktop ordinal = 1583, argument = 4 */
static gboolean user32_CloseDesktop (Ia32Thread *thread)
{
  return FALSE;
}


/* CloseGestureInfoHandle ordinal = 1584, argument = 0 */
static gboolean user32_CloseGestureInfoHandle (Ia32Thread *thread)
{
  return FALSE;
}


/* CloseTouchInputHandle ordinal = 1585, argument = 0 */
static gboolean user32_CloseTouchInputHandle (Ia32Thread *thread)
{
  return FALSE;
}


/* CloseWindow ordinal = 1586, argument = 4 */
static gboolean user32_CloseWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* CloseWindowStation ordinal = 1587, argument = 4 */
static gboolean user32_CloseWindowStation (Ia32Thread *thread)
{
  return FALSE;
}


/* ConsoleControl ordinal = 1588, argument = 0 */
static gboolean user32_ConsoleControl (Ia32Thread *thread)
{
  return FALSE;
}


/* ControlMagnification ordinal = 1589, argument = 0 */
static gboolean user32_ControlMagnification (Ia32Thread *thread)
{
  return FALSE;
}


/* CopyAcceleratorTableA ordinal = 1590, argument = 12 */
static gboolean user32_CopyAcceleratorTableA (Ia32Thread *thread)
{
  return FALSE;
}


/* CopyAcceleratorTableW ordinal = 1591, argument = 12 */
static gboolean user32_CopyAcceleratorTableW (Ia32Thread *thread)
{
  return FALSE;
}


/* CopyIcon ordinal = 1592, argument = 4 */
static gboolean user32_CopyIcon (Ia32Thread *thread)
{
  return FALSE;
}


/* CopyImage ordinal = 1593, argument = 20 */
static gboolean user32_CopyImage (Ia32Thread *thread)
{
  return FALSE;
}


/* CopyRect ordinal = 1594, argument = 8 */
static gboolean user32_CopyRect (Ia32Thread *thread)
{
  return FALSE;
}


/* CountClipboardFormats ordinal = 1595, argument = 0 */
static gboolean user32_CountClipboardFormats (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateAcceleratorTableA ordinal = 1596, argument = 8 */
static gboolean user32_CreateAcceleratorTableA (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateAcceleratorTableW ordinal = 1597, argument = 8 */
static gboolean user32_CreateAcceleratorTableW (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateCaret ordinal = 1598, argument = 16 */
static gboolean user32_CreateCaret (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateCursor ordinal = 1599, argument = 28 */
static gboolean user32_CreateCursor (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateDesktopA ordinal = 1600, argument = 24 */
static gboolean user32_CreateDesktopA (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateDesktopExA ordinal = 1601, argument = 0 */
static gboolean user32_CreateDesktopExA (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateDesktopExW ordinal = 1602, argument = 0 */
static gboolean user32_CreateDesktopExW (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateDesktopW ordinal = 1603, argument = 24 */
static gboolean user32_CreateDesktopW (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateDialogIndirectParamA ordinal = 1604, argument = 20 */
static gboolean user32_CreateDialogIndirectParamA (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateDialogIndirectParamAorW ordinal = 1605, argument = 0 */
static gboolean user32_CreateDialogIndirectParamAorW (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateDialogIndirectParamW ordinal = 1606, argument = 20 */
static gboolean user32_CreateDialogIndirectParamW (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateDialogParamA ordinal = 1607, argument = 20 */
static gboolean user32_CreateDialogParamA (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateDialogParamW ordinal = 1608, argument = 20 */
static gboolean user32_CreateDialogParamW (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateIcon ordinal = 1609, argument = 28 */
static gboolean user32_CreateIcon (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateIconFromResource ordinal = 1610, argument = 16 */
static gboolean user32_CreateIconFromResource (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateIconFromResourceEx ordinal = 1611, argument = 28 */
static gboolean user32_CreateIconFromResourceEx (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateIconIndirect ordinal = 1612, argument = 4 */
static gboolean user32_CreateIconIndirect (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateMDIWindowA ordinal = 1613, argument = 40 */
static gboolean user32_CreateMDIWindowA (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateMDIWindowW ordinal = 1614, argument = 40 */
static gboolean user32_CreateMDIWindowW (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateMenu ordinal = 1615, argument = 0 */
static gboolean user32_CreateMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* CreatePopupMenu ordinal = 1616, argument = 0 */
static gboolean user32_CreatePopupMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateSystemThreads ordinal = 1617, argument = 0 */
static gboolean user32_CreateSystemThreads (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateWindowExA ordinal = 1618, argument = 48 */
static gboolean user32_CreateWindowExA (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateWindowExW ordinal = 1619, argument = 48 */
static gboolean user32_CreateWindowExW (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateWindowStationA ordinal = 1620, argument = 16 */
static gboolean user32_CreateWindowStationA (Ia32Thread *thread)
{
  return FALSE;
}


/* CreateWindowStationW ordinal = 1621, argument = 16 */
static gboolean user32_CreateWindowStationW (Ia32Thread *thread)
{
  return FALSE;
}


/* CsrBroadcastSystemMessageExW ordinal = 1622, argument = 0 */
static gboolean user32_CsrBroadcastSystemMessageExW (Ia32Thread *thread)
{
  return FALSE;
}


/* CtxInitUser32 ordinal = 1623, argument = 0 */
static gboolean user32_CtxInitUser32 (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeAbandonTransaction ordinal = 1624, argument = 12 */
static gboolean user32_DdeAbandonTransaction (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeAccessData ordinal = 1625, argument = 8 */
static gboolean user32_DdeAccessData (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeAddData ordinal = 1626, argument = 16 */
static gboolean user32_DdeAddData (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeClientTransaction ordinal = 1627, argument = 32 */
static gboolean user32_DdeClientTransaction (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeCmpStringHandles ordinal = 1628, argument = 8 */
static gboolean user32_DdeCmpStringHandles (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeConnect ordinal = 1629, argument = 16 */
static gboolean user32_DdeConnect (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeConnectList ordinal = 1630, argument = 20 */
static gboolean user32_DdeConnectList (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeCreateDataHandle ordinal = 1631, argument = 28 */
static gboolean user32_DdeCreateDataHandle (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeCreateStringHandleA ordinal = 1632, argument = 12 */
static gboolean user32_DdeCreateStringHandleA (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeCreateStringHandleW ordinal = 1633, argument = 12 */
static gboolean user32_DdeCreateStringHandleW (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeDisconnect ordinal = 1634, argument = 4 */
static gboolean user32_DdeDisconnect (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeDisconnectList ordinal = 1635, argument = 4 */
static gboolean user32_DdeDisconnectList (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeEnableCallback ordinal = 1636, argument = 12 */
static gboolean user32_DdeEnableCallback (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeFreeDataHandle ordinal = 1637, argument = 4 */
static gboolean user32_DdeFreeDataHandle (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeFreeStringHandle ordinal = 1638, argument = 8 */
static gboolean user32_DdeFreeStringHandle (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeGetData ordinal = 1639, argument = 16 */
static gboolean user32_DdeGetData (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeGetLastError ordinal = 1640, argument = 4 */
static gboolean user32_DdeGetLastError (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeGetQualityOfService ordinal = 1641, argument = 12 */
static gboolean user32_DdeGetQualityOfService (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeImpersonateClient ordinal = 1642, argument = 4 */
static gboolean user32_DdeImpersonateClient (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeInitializeA ordinal = 1643, argument = 16 */
static gboolean user32_DdeInitializeA (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeInitializeW ordinal = 1644, argument = 16 */
static gboolean user32_DdeInitializeW (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeKeepStringHandle ordinal = 1645, argument = 8 */
static gboolean user32_DdeKeepStringHandle (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeNameService ordinal = 1646, argument = 16 */
static gboolean user32_DdeNameService (Ia32Thread *thread)
{
  return FALSE;
}


/* DdePostAdvise ordinal = 1647, argument = 12 */
static gboolean user32_DdePostAdvise (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeQueryConvInfo ordinal = 1648, argument = 12 */
static gboolean user32_DdeQueryConvInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeQueryNextServer ordinal = 1649, argument = 8 */
static gboolean user32_DdeQueryNextServer (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeQueryStringA ordinal = 1650, argument = 20 */
static gboolean user32_DdeQueryStringA (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeQueryStringW ordinal = 1651, argument = 20 */
static gboolean user32_DdeQueryStringW (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeReconnect ordinal = 1652, argument = 4 */
static gboolean user32_DdeReconnect (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeSetQualityOfService ordinal = 1653, argument = 12 */
static gboolean user32_DdeSetQualityOfService (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeSetUserHandle ordinal = 1654, argument = 12 */
static gboolean user32_DdeSetUserHandle (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeUnaccessData ordinal = 1655, argument = 4 */
static gboolean user32_DdeUnaccessData (Ia32Thread *thread)
{
  return FALSE;
}


/* DdeUninitialize ordinal = 1656, argument = 4 */
static gboolean user32_DdeUninitialize (Ia32Thread *thread)
{
  return FALSE;
}


/* DefDlgProcA ordinal = 1657, argument = 16 */
static gboolean user32_DefDlgProcA (Ia32Thread *thread)
{
  return FALSE;
}


/* DefDlgProcW ordinal = 1658, argument = 16 */
static gboolean user32_DefDlgProcW (Ia32Thread *thread)
{
  return FALSE;
}


/* DefFrameProcA ordinal = 1659, argument = 20 */
static gboolean user32_DefFrameProcA (Ia32Thread *thread)
{
  return FALSE;
}


/* DefFrameProcW ordinal = 1660, argument = 20 */
static gboolean user32_DefFrameProcW (Ia32Thread *thread)
{
  return FALSE;
}


/* DefMDIChildProcA ordinal = 1661, argument = 16 */
static gboolean user32_DefMDIChildProcA (Ia32Thread *thread)
{
  return FALSE;
}


/* DefMDIChildProcW ordinal = 1662, argument = 16 */
static gboolean user32_DefMDIChildProcW (Ia32Thread *thread)
{
  return FALSE;
}


/* DefRawInputProc ordinal = 1663, argument = 0 */
static gboolean user32_DefRawInputProc (Ia32Thread *thread)
{
  return FALSE;
}


/* DefWindowProcA ordinal = 1664, argument = 16 */
static gboolean user32_DefWindowProcA (Ia32Thread *thread)
{
  return FALSE;
}


/* DefWindowProcW ordinal = 1665, argument = 16 */
static gboolean user32_DefWindowProcW (Ia32Thread *thread)
{
  return FALSE;
}


/* DeferWindowPos ordinal = 1666, argument = 32 */
static gboolean user32_DeferWindowPos (Ia32Thread *thread)
{
  return FALSE;
}


/* DeleteMenu ordinal = 1667, argument = 12 */
static gboolean user32_DeleteMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* DeregisterShellHookWindow ordinal = 1668, argument = 0 */
static gboolean user32_DeregisterShellHookWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* DestroyAcceleratorTable ordinal = 1669, argument = 4 */
static gboolean user32_DestroyAcceleratorTable (Ia32Thread *thread)
{
  return FALSE;
}


/* DestroyCaret ordinal = 1670, argument = 0 */
static gboolean user32_DestroyCaret (Ia32Thread *thread)
{
  return FALSE;
}


/* DestroyCursor ordinal = 1671, argument = 4 */
static gboolean user32_DestroyCursor (Ia32Thread *thread)
{
  return FALSE;
}


/* DestroyIcon ordinal = 1672, argument = 4 */
static gboolean user32_DestroyIcon (Ia32Thread *thread)
{
  return FALSE;
}


/* DestroyMenu ordinal = 1673, argument = 4 */
static gboolean user32_DestroyMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* DestroyReasons ordinal = 1674, argument = 0 */
static gboolean user32_DestroyReasons (Ia32Thread *thread)
{
  return FALSE;
}


/* DestroyWindow ordinal = 1675, argument = 4 */
static gboolean user32_DestroyWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* DeviceEventWorker ordinal = 1676, argument = 0 */
static gboolean user32_DeviceEventWorker (Ia32Thread *thread)
{
  return FALSE;
}


/* DialogBoxIndirectParamA ordinal = 1677, argument = 20 */
static gboolean user32_DialogBoxIndirectParamA (Ia32Thread *thread)
{
  return FALSE;
}


/* DialogBoxIndirectParamAorW ordinal = 1678, argument = 0 */
static gboolean user32_DialogBoxIndirectParamAorW (Ia32Thread *thread)
{
  return FALSE;
}


/* DialogBoxIndirectParamW ordinal = 1679, argument = 20 */
static gboolean user32_DialogBoxIndirectParamW (Ia32Thread *thread)
{
  return FALSE;
}


/* DialogBoxParamA ordinal = 1680, argument = 20 */
static gboolean user32_DialogBoxParamA (Ia32Thread *thread)
{
  return FALSE;
}


/* DialogBoxParamW ordinal = 1681, argument = 20 */
static gboolean user32_DialogBoxParamW (Ia32Thread *thread)
{
  return FALSE;
}


/* DisableProcessWindowsGhosting ordinal = 1682, argument = 0 */
static gboolean user32_DisableProcessWindowsGhosting (Ia32Thread *thread)
{
  return FALSE;
}


/* DispatchMessageA ordinal = 1683, argument = 4 */
static gboolean user32_DispatchMessageA (Ia32Thread *thread)
{
  return FALSE;
}


/* DispatchMessageW ordinal = 1684, argument = 4 */
static gboolean user32_DispatchMessageW (Ia32Thread *thread)
{
  return FALSE;
}


/* DisplayConfigGetDeviceInfo ordinal = 1685, argument = 0 */
static gboolean user32_DisplayConfigGetDeviceInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* DisplayConfigSetDeviceInfo ordinal = 1686, argument = 0 */
static gboolean user32_DisplayConfigSetDeviceInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* DisplayExitWindowsWarnings ordinal = 1687, argument = 0 */
static gboolean user32_DisplayExitWindowsWarnings (Ia32Thread *thread)
{
  return FALSE;
}


/* DlgDirListA ordinal = 1688, argument = 20 */
static gboolean user32_DlgDirListA (Ia32Thread *thread)
{
  return FALSE;
}


/* DlgDirListComboBoxA ordinal = 1689, argument = 20 */
static gboolean user32_DlgDirListComboBoxA (Ia32Thread *thread)
{
  return FALSE;
}


/* DlgDirListComboBoxW ordinal = 1690, argument = 20 */
static gboolean user32_DlgDirListComboBoxW (Ia32Thread *thread)
{
  return FALSE;
}


/* DlgDirListW ordinal = 1691, argument = 20 */
static gboolean user32_DlgDirListW (Ia32Thread *thread)
{
  return FALSE;
}


/* DlgDirSelectComboBoxExA ordinal = 1692, argument = 16 */
static gboolean user32_DlgDirSelectComboBoxExA (Ia32Thread *thread)
{
  return FALSE;
}


/* DlgDirSelectComboBoxExW ordinal = 1693, argument = 16 */
static gboolean user32_DlgDirSelectComboBoxExW (Ia32Thread *thread)
{
  return FALSE;
}


/* DlgDirSelectExA ordinal = 1694, argument = 16 */
static gboolean user32_DlgDirSelectExA (Ia32Thread *thread)
{
  return FALSE;
}


/* DlgDirSelectExW ordinal = 1695, argument = 16 */
static gboolean user32_DlgDirSelectExW (Ia32Thread *thread)
{
  return FALSE;
}


/* DoSoundConnect ordinal = 1696, argument = 0 */
static gboolean user32_DoSoundConnect (Ia32Thread *thread)
{
  return FALSE;
}


/* DoSoundDisconnect ordinal = 1697, argument = 0 */
static gboolean user32_DoSoundDisconnect (Ia32Thread *thread)
{
  return FALSE;
}


/* DragDetect ordinal = 1698, argument = 12 */
static gboolean user32_DragDetect (Ia32Thread *thread)
{
  return FALSE;
}


/* DragObject ordinal = 1699, argument = 20 */
static gboolean user32_DragObject (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawAnimatedRects ordinal = 1700, argument = 16 */
static gboolean user32_DrawAnimatedRects (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawCaption ordinal = 1701, argument = 16 */
static gboolean user32_DrawCaption (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawCaptionTempA ordinal = 1702, argument = 0 */
static gboolean user32_DrawCaptionTempA (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawCaptionTempW ordinal = 1703, argument = 0 */
static gboolean user32_DrawCaptionTempW (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawEdge ordinal = 1704, argument = 16 */
static gboolean user32_DrawEdge (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawFocusRect ordinal = 1705, argument = 8 */
static gboolean user32_DrawFocusRect (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawFrame ordinal = 1706, argument = 16 */
static gboolean user32_DrawFrame (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawFrameControl ordinal = 1707, argument = 16 */
static gboolean user32_DrawFrameControl (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawIcon ordinal = 1708, argument = 16 */
static gboolean user32_DrawIcon (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawIconEx ordinal = 1709, argument = 36 */
static gboolean user32_DrawIconEx (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawMenuBar ordinal = 1710, argument = 4 */
static gboolean user32_DrawMenuBar (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawMenuBarTemp ordinal = 1711, argument = 0 */
static gboolean user32_DrawMenuBarTemp (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawStateA ordinal = 1712, argument = 40 */
static gboolean user32_DrawStateA (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawStateW ordinal = 1713, argument = 40 */
static gboolean user32_DrawStateW (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawTextA ordinal = 1714, argument = 20 */
static gboolean user32_DrawTextA (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawTextExA ordinal = 1715, argument = 24 */
static gboolean user32_DrawTextExA (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawTextExW ordinal = 1716, argument = 24 */
static gboolean user32_DrawTextExW (Ia32Thread *thread)
{
  return FALSE;
}


/* DrawTextW ordinal = 1717, argument = 20 */
static gboolean user32_DrawTextW (Ia32Thread *thread)
{
  return FALSE;
}


/* DwmGetDxSharedSurface ordinal = 1718, argument = 0 */
static gboolean user32_DwmGetDxSharedSurface (Ia32Thread *thread)
{
  return FALSE;
}


/* DwmStartRedirection ordinal = 1719, argument = 0 */
static gboolean user32_DwmStartRedirection (Ia32Thread *thread)
{
  return FALSE;
}


/* DwmStopRedirection ordinal = 1720, argument = 0 */
static gboolean user32_DwmStopRedirection (Ia32Thread *thread)
{
  return FALSE;
}


/* EditWndProc ordinal = 1721, argument = 16 */
static gboolean user32_EditWndProc (Ia32Thread *thread)
{
  return FALSE;
}


/* EmptyClipboard ordinal = 1722, argument = 0 */
static gboolean user32_EmptyClipboard (Ia32Thread *thread)
{
  return FALSE;
}


/* EnableMenuItem ordinal = 1723, argument = 12 */
static gboolean user32_EnableMenuItem (Ia32Thread *thread)
{
  return FALSE;
}


/* EnableScrollBar ordinal = 1724, argument = 12 */
static gboolean user32_EnableScrollBar (Ia32Thread *thread)
{
  return FALSE;
}


/* EnableWindow ordinal = 1725, argument = 8 */
static gboolean user32_EnableWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* EndDeferWindowPos ordinal = 1726, argument = 4 */
static gboolean user32_EndDeferWindowPos (Ia32Thread *thread)
{
  return FALSE;
}


/* EndDialog ordinal = 1727, argument = 8 */
static gboolean user32_EndDialog (Ia32Thread *thread)
{
  return FALSE;
}


/* EndMenu ordinal = 1728, argument = 0 */
static gboolean user32_EndMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* EndPaint ordinal = 1729, argument = 8 */
static gboolean user32_EndPaint (Ia32Thread *thread)
{
  return FALSE;
}


/* EndTask ordinal = 1730, argument = 0 */
static gboolean user32_EndTask (Ia32Thread *thread)
{
  return FALSE;
}


/* EnterReaderModeHelper ordinal = 1731, argument = 0 */
static gboolean user32_EnterReaderModeHelper (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumChildWindows ordinal = 1732, argument = 12 */
static gboolean user32_EnumChildWindows (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumClipboardFormats ordinal = 1733, argument = 4 */
static gboolean user32_EnumClipboardFormats (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumDesktopWindows ordinal = 1734, argument = 12 */
static gboolean user32_EnumDesktopWindows (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumDesktopsA ordinal = 1735, argument = 12 */
static gboolean user32_EnumDesktopsA (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumDesktopsW ordinal = 1736, argument = 12 */
static gboolean user32_EnumDesktopsW (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumDisplayDevicesA ordinal = 1737, argument = 0 */
static gboolean user32_EnumDisplayDevicesA (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumDisplayDevicesW ordinal = 1738, argument = 0 */
static gboolean user32_EnumDisplayDevicesW (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumDisplayMonitors ordinal = 1739, argument = 16 */
static gboolean user32_EnumDisplayMonitors (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumDisplaySettingsA ordinal = 1740, argument = 12 */
static gboolean user32_EnumDisplaySettingsA (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumDisplaySettingsExA ordinal = 1741, argument = 16 */
static gboolean user32_EnumDisplaySettingsExA (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumDisplaySettingsExW ordinal = 1742, argument = 16 */
static gboolean user32_EnumDisplaySettingsExW (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumDisplaySettingsW ordinal = 1743, argument = 12 */
static gboolean user32_EnumDisplaySettingsW (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumPropsA ordinal = 1744, argument = 8 */
static gboolean user32_EnumPropsA (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumPropsExA ordinal = 1745, argument = 12 */
static gboolean user32_EnumPropsExA (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumPropsExW ordinal = 1746, argument = 12 */
static gboolean user32_EnumPropsExW (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumPropsW ordinal = 1747, argument = 8 */
static gboolean user32_EnumPropsW (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumThreadWindows ordinal = 1748, argument = 12 */
static gboolean user32_EnumThreadWindows (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumWindowStationsA ordinal = 1749, argument = 8 */
static gboolean user32_EnumWindowStationsA (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumWindowStationsW ordinal = 1750, argument = 8 */
static gboolean user32_EnumWindowStationsW (Ia32Thread *thread)
{
  return FALSE;
}


/* EnumWindows ordinal = 1751, argument = 8 */
static gboolean user32_EnumWindows (Ia32Thread *thread)
{
  return FALSE;
}


/* EqualRect ordinal = 1752, argument = 8 */
static gboolean user32_EqualRect (Ia32Thread *thread)
{
  return FALSE;
}


/* ExcludeUpdateRgn ordinal = 1753, argument = 8 */
static gboolean user32_ExcludeUpdateRgn (Ia32Thread *thread)
{
  return FALSE;
}


/* ExitWindowsEx ordinal = 1754, argument = 8 */
static gboolean user32_ExitWindowsEx (Ia32Thread *thread)
{
  return FALSE;
}


/* FillRect ordinal = 1755, argument = 12 */
static gboolean user32_FillRect (Ia32Thread *thread)
{
  return FALSE;
}


/* FindWindowA ordinal = 1756, argument = 8 */
static gboolean user32_FindWindowA (Ia32Thread *thread)
{
  thread->reg.eax = 0;
  ia32_message_record_api_with_argument (thread,
                                        "FindWindowA", IA32_MESSAGE_HEX,
                                        "lpClassName", IA32_MESSAGE_STRING,
                                        "lpWindowName", IA32_MESSAGE_STRING,
                                        NULL);
  return TRUE;
}


/* FindWindowExA ordinal = 1757, argument = 16 */
static gboolean user32_FindWindowExA (Ia32Thread *thread)
{
  return FALSE;
}


/* FindWindowExW ordinal = 1758, argument = 16 */
static gboolean user32_FindWindowExW (Ia32Thread *thread)
{
  return FALSE;
}


/* FindWindowW ordinal = 1759, argument = 8 */
static gboolean user32_FindWindowW (Ia32Thread *thread)
{
  thread->reg.eax = 0;
  ia32_message_record_api_with_argument (thread,
                                        "FindWindowW", IA32_MESSAGE_HEX,
                                        "lpClassName", IA32_MESSAGE_STRINGW,
                                        "lpWindowName", IA32_MESSAGE_STRINGW,
                                        NULL);
  return TRUE;
}


/* FlashWindow ordinal = 1760, argument = 8 */
static gboolean user32_FlashWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* FlashWindowEx ordinal = 1761, argument = 4 */
static gboolean user32_FlashWindowEx (Ia32Thread *thread)
{
  return FALSE;
}


/* FrameRect ordinal = 1762, argument = 12 */
static gboolean user32_FrameRect (Ia32Thread *thread)
{
  return FALSE;
}


/* FreeDDElParam ordinal = 1763, argument = 8 */
static gboolean user32_FreeDDElParam (Ia32Thread *thread)
{
  return FALSE;
}


/* FrostCrashedWindow ordinal = 1764, argument = 0 */
static gboolean user32_FrostCrashedWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* GetActiveWindow ordinal = 1765, argument = 0 */
static gboolean user32_GetActiveWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* GetAltTabInfo ordinal = 1766, argument = 20 */
/* static gboolean user32_GetAltTabInfo (Ia32Thread *thread) */


/* GetAltTabInfoA ordinal = 1767, argument = 20 */
static gboolean user32_GetAltTabInfoA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetAltTabInfoW ordinal = 1768, argument = 20 */
static gboolean user32_GetAltTabInfoW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetAncestor ordinal = 1769, argument = 8 */
static gboolean user32_GetAncestor (Ia32Thread *thread)
{
  return FALSE;
}


/* GetAppCompatFlags ordinal = 1771, argument = 0 */
static gboolean user32_GetAppCompatFlags (Ia32Thread *thread)
{
  return FALSE;
}


/* GetAppCompatFlags2 ordinal = 1770, argument = 0 */
static gboolean user32_GetAppCompatFlags2 (Ia32Thread *thread)
{
  return FALSE;
}


/* GetAsyncKeyState ordinal = 1772, argument = 4 */
static gboolean user32_GetAsyncKeyState (Ia32Thread *thread)
{
  return FALSE;
}


/* GetCapture ordinal = 1773, argument = 0 */
static gboolean user32_GetCapture (Ia32Thread *thread)
{
  return FALSE;
}


/* GetCaretBlinkTime ordinal = 1774, argument = 0 */
static gboolean user32_GetCaretBlinkTime (Ia32Thread *thread)
{
  return FALSE;
}


/* GetCaretPos ordinal = 1775, argument = 4 */
static gboolean user32_GetCaretPos (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClassInfoA ordinal = 1776, argument = 12 */
static gboolean user32_GetClassInfoA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClassInfoExA ordinal = 1777, argument = 12 */
static gboolean user32_GetClassInfoExA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClassInfoExW ordinal = 1778, argument = 12 */
static gboolean user32_GetClassInfoExW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClassInfoW ordinal = 1779, argument = 12 */
static gboolean user32_GetClassInfoW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClassLongA ordinal = 1780, argument = 8 */
static gboolean user32_GetClassLongA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClassLongW ordinal = 1781, argument = 8 */
static gboolean user32_GetClassLongW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClassNameA ordinal = 1782, argument = 12 */
static gboolean user32_GetClassNameA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClassNameW ordinal = 1783, argument = 12 */
static gboolean user32_GetClassNameW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClassWord ordinal = 1784, argument = 8 */
static gboolean user32_GetClassWord (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClientRect ordinal = 1785, argument = 8 */
static gboolean user32_GetClientRect (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClipCursor ordinal = 1786, argument = 4 */
static gboolean user32_GetClipCursor (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClipboardData ordinal = 1787, argument = 4 */
static gboolean user32_GetClipboardData (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClipboardFormatNameA ordinal = 1788, argument = 12 */
static gboolean user32_GetClipboardFormatNameA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClipboardFormatNameW ordinal = 1789, argument = 12 */
static gboolean user32_GetClipboardFormatNameW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClipboardOwner ordinal = 1790, argument = 0 */
static gboolean user32_GetClipboardOwner (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClipboardSequenceNumber ordinal = 1791, argument = 0 */
static gboolean user32_GetClipboardSequenceNumber (Ia32Thread *thread)
{
  return FALSE;
}


/* GetClipboardViewer ordinal = 1792, argument = 0 */
static gboolean user32_GetClipboardViewer (Ia32Thread *thread)
{
  return FALSE;
}


/* GetComboBoxInfo ordinal = 1793, argument = 8 */
static gboolean user32_GetComboBoxInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetCursor ordinal = 1794, argument = 0 */
static gboolean user32_GetCursor (Ia32Thread *thread)
{
  return FALSE;
}


/* GetCursorFrameInfo ordinal = 1795, argument = 0 */
static gboolean user32_GetCursorFrameInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetCursorInfo ordinal = 1796, argument = 4 */
static gboolean user32_GetCursorInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetCursorPos ordinal = 1797, argument = 4 */
static gboolean user32_GetCursorPos (Ia32Thread *thread)
{
  return FALSE;
}


/* GetDC ordinal = 1798, argument = 4 */
static gboolean user32_GetDC (Ia32Thread *thread)
{
  return FALSE;
}


/* GetDCEx ordinal = 1799, argument = 12 */
static gboolean user32_GetDCEx (Ia32Thread *thread)
{
  return FALSE;
}


/* GetDesktopWindow ordinal = 1800, argument = 0 */
static gboolean user32_GetDesktopWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* GetDialogBaseUnits ordinal = 1801, argument = 0 */
static gboolean user32_GetDialogBaseUnits (Ia32Thread *thread)
{
  return FALSE;
}


/* GetDisplayConfigBufferSizes ordinal = 1802, argument = 0 */
static gboolean user32_GetDisplayConfigBufferSizes (Ia32Thread *thread)
{
  return FALSE;
}


/* GetDlgCtrlID ordinal = 1803, argument = 4 */
static gboolean user32_GetDlgCtrlID (Ia32Thread *thread)
{
  return FALSE;
}


/* GetDlgItem ordinal = 1804, argument = 8 */
static gboolean user32_GetDlgItem (Ia32Thread *thread)
{
  return FALSE;
}


/* GetDlgItemInt ordinal = 1805, argument = 16 */
static gboolean user32_GetDlgItemInt (Ia32Thread *thread)
{
  return FALSE;
}


/* GetDlgItemTextA ordinal = 1806, argument = 16 */
static gboolean user32_GetDlgItemTextA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetDlgItemTextW ordinal = 1807, argument = 16 */
static gboolean user32_GetDlgItemTextW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetDoubleClickTime ordinal = 1808, argument = 0 */
static gboolean user32_GetDoubleClickTime (Ia32Thread *thread)
{
  return FALSE;
}


/* GetFocus ordinal = 1809, argument = 0 */
static gboolean user32_GetFocus (Ia32Thread *thread)
{
  return FALSE;
}


/* GetForegroundWindow ordinal = 1810, argument = 0 */
static gboolean user32_GetForegroundWindow (Ia32Thread *thread)
{
  thread->reg.eax = 0;
  ia32_message_record_api_with_argument (thread,
                                    "GetForegroundWindow", IA32_MESSAGE_HEX,
                                    NULL);
  return TRUE;
}


/* GetGUIThreadInfo ordinal = 1811, argument = 8 */
static gboolean user32_GetGUIThreadInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetGestureConfig ordinal = 1812, argument = 0 */
static gboolean user32_GetGestureConfig (Ia32Thread *thread)
{
  return FALSE;
}


/* GetGestureExtraArgs ordinal = 1813, argument = 0 */
static gboolean user32_GetGestureExtraArgs (Ia32Thread *thread)
{
  return FALSE;
}


/* GetGestureInfo ordinal = 1814, argument = 0 */
static gboolean user32_GetGestureInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetGuiResources ordinal = 1815, argument = 8 */
static gboolean user32_GetGuiResources (Ia32Thread *thread)
{
  return FALSE;
}


/* GetIconInfo ordinal = 1816, argument = 8 */
static gboolean user32_GetIconInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetIconInfoExA ordinal = 1817, argument = 0 */
static gboolean user32_GetIconInfoExA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetIconInfoExW ordinal = 1818, argument = 0 */
static gboolean user32_GetIconInfoExW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetInputDesktop ordinal = 1819, argument = 0 */
static gboolean user32_GetInputDesktop (Ia32Thread *thread)
{
  return FALSE;
}


/* GetInputLocaleInfo ordinal = 1820, argument = 0 */
static gboolean user32_GetInputLocaleInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetInputState ordinal = 1821, argument = 0 */
static gboolean user32_GetInputState (Ia32Thread *thread)
{
  return FALSE;
}


/* GetInternalWindowPos ordinal = 1822, argument = 0 */
static gboolean user32_GetInternalWindowPos (Ia32Thread *thread)
{
  return FALSE;
}


/* GetKBCodePage ordinal = 1823, argument = 0 */
static gboolean user32_GetKBCodePage (Ia32Thread *thread)
{
  return FALSE;
}


/* GetKeyNameTextA ordinal = 1824, argument = 12 */
static gboolean user32_GetKeyNameTextA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetKeyNameTextW ordinal = 1825, argument = 12 */
static gboolean user32_GetKeyNameTextW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetKeyState ordinal = 1826, argument = 4 */
static gboolean user32_GetKeyState (Ia32Thread *thread)
{
  return FALSE;
}


/* GetKeyboardLayout ordinal = 1827, argument = 4 */
static gboolean user32_GetKeyboardLayout (Ia32Thread *thread)
{
  return FALSE;
}


/* GetKeyboardLayoutList ordinal = 1828, argument = 8 */
static gboolean user32_GetKeyboardLayoutList (Ia32Thread *thread)
{
  return FALSE;
}


/* GetKeyboardLayoutNameA ordinal = 1829, argument = 4 */
static gboolean user32_GetKeyboardLayoutNameA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetKeyboardLayoutNameW ordinal = 1830, argument = 4 */
static gboolean user32_GetKeyboardLayoutNameW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetKeyboardState ordinal = 1831, argument = 4 */
static gboolean user32_GetKeyboardState (Ia32Thread *thread)
{
  return FALSE;
}


/* GetKeyboardType ordinal = 1832, argument = 4 */
static gboolean user32_GetKeyboardType (Ia32Thread *thread)
{
  return FALSE;
}


/* GetLastActivePopup ordinal = 1833, argument = 4 */
static gboolean user32_GetLastActivePopup (Ia32Thread *thread)
{
  return FALSE;
}


/* GetLastInputInfo ordinal = 1834, argument = 4 */
static gboolean user32_GetLastInputInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetLayeredWindowAttributes ordinal = 1835, argument = 0 */
static gboolean user32_GetLayeredWindowAttributes (Ia32Thread *thread)
{
  return FALSE;
}


/* GetListBoxInfo ordinal = 1836, argument = 4 */
static gboolean user32_GetListBoxInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMagnificationDesktopColorEffect ordinal = 1837, argument = 0 */
static gboolean user32_GetMagnificationDesktopColorEffect (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMagnificationDesktopMagnification ordinal = 1838, argument = 0 */
static gboolean user32_GetMagnificationDesktopMagnification (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMagnificationLensCtxInformation ordinal = 1839, argument = 0 */
static gboolean user32_GetMagnificationLensCtxInformation (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenu ordinal = 1840, argument = 4 */
static gboolean user32_GetMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuBarInfo ordinal = 1841, argument = 16 */
static gboolean user32_GetMenuBarInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuCheckMarkDimensions ordinal = 1842, argument = 0 */
static gboolean user32_GetMenuCheckMarkDimensions (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuContextHelpId ordinal = 1843, argument = 4 */
static gboolean user32_GetMenuContextHelpId (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuDefaultItem ordinal = 1844, argument = 12 */
static gboolean user32_GetMenuDefaultItem (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuInfo ordinal = 1845, argument = 8 */
static gboolean user32_GetMenuInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuItemCount ordinal = 1846, argument = 4 */
static gboolean user32_GetMenuItemCount (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuItemID ordinal = 1847, argument = 8 */
static gboolean user32_GetMenuItemID (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuItemInfoA ordinal = 1848, argument = 16 */
static gboolean user32_GetMenuItemInfoA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuItemInfoW ordinal = 1849, argument = 16 */
static gboolean user32_GetMenuItemInfoW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuItemRect ordinal = 1850, argument = 16 */
static gboolean user32_GetMenuItemRect (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuState ordinal = 1851, argument = 12 */
static gboolean user32_GetMenuState (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuStringA ordinal = 1852, argument = 20 */
static gboolean user32_GetMenuStringA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMenuStringW ordinal = 1853, argument = 20 */
static gboolean user32_GetMenuStringW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMessageA ordinal = 1854, argument = 16 */
static gboolean user32_GetMessageA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMessageExtraInfo ordinal = 1855, argument = 0 */
static gboolean user32_GetMessageExtraInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMessagePos ordinal = 1856, argument = 0 */
static gboolean user32_GetMessagePos (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMessageTime ordinal = 1857, argument = 0 */
static gboolean user32_GetMessageTime (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMessageW ordinal = 1858, argument = 16 */
static gboolean user32_GetMessageW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMonitorInfoA ordinal = 1859, argument = 8 */
static gboolean user32_GetMonitorInfoA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMonitorInfoW ordinal = 1860, argument = 8 */
static gboolean user32_GetMonitorInfoW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetMouseMovePointsEx ordinal = 1861, argument = 0 */
static gboolean user32_GetMouseMovePointsEx (Ia32Thread *thread)
{
  return FALSE;
}


/* GetNextDlgGroupItem ordinal = 1862, argument = 12 */
static gboolean user32_GetNextDlgGroupItem (Ia32Thread *thread)
{
  return FALSE;
}


/* GetNextDlgTabItem ordinal = 1863, argument = 12 */
static gboolean user32_GetNextDlgTabItem (Ia32Thread *thread)
{
  return FALSE;
}


/* GetOpenClipboardWindow ordinal = 1864, argument = 0 */
static gboolean user32_GetOpenClipboardWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* GetParent ordinal = 1865, argument = 4 */
static gboolean user32_GetParent (Ia32Thread *thread)
{
  return FALSE;
}


/* GetPhysicalCursorPos ordinal = 1866, argument = 0 */
static gboolean user32_GetPhysicalCursorPos (Ia32Thread *thread)
{
  return FALSE;
}


/* GetPriorityClipboardFormat ordinal = 1867, argument = 8 */
static gboolean user32_GetPriorityClipboardFormat (Ia32Thread *thread)
{
  return FALSE;
}


/* GetProcessDefaultLayout ordinal = 1868, argument = 4 */
static gboolean user32_GetProcessDefaultLayout (Ia32Thread *thread)
{
  return FALSE;
}


/* GetProcessWindowStation ordinal = 1869, argument = 0 */
static gboolean user32_GetProcessWindowStation (Ia32Thread *thread)
{
  return FALSE;
}


/* GetProgmanWindow ordinal = 1870, argument = 0 */
static gboolean user32_GetProgmanWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* GetPropA ordinal = 1871, argument = 8 */
static gboolean user32_GetPropA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetPropW ordinal = 1872, argument = 8 */
static gboolean user32_GetPropW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetQueueStatus ordinal = 1873, argument = 4 */
static gboolean user32_GetQueueStatus (Ia32Thread *thread)
{
  return FALSE;
}


/* GetRawInputBuffer ordinal = 1874, argument = 0 */
static gboolean user32_GetRawInputBuffer (Ia32Thread *thread)
{
  return FALSE;
}


/* GetRawInputData ordinal = 1875, argument = 0 */
static gboolean user32_GetRawInputData (Ia32Thread *thread)
{
  return FALSE;
}


/* GetRawInputDeviceInfoA ordinal = 1876, argument = 0 */
static gboolean user32_GetRawInputDeviceInfoA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetRawInputDeviceInfoW ordinal = 1877, argument = 0 */
static gboolean user32_GetRawInputDeviceInfoW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetRawInputDeviceList ordinal = 1878, argument = 0 */
static gboolean user32_GetRawInputDeviceList (Ia32Thread *thread)
{
  return FALSE;
}


/* GetReasonTitleFromReasonCode ordinal = 1879, argument = 0 */
static gboolean user32_GetReasonTitleFromReasonCode (Ia32Thread *thread)
{
  return FALSE;
}


/* GetRegisteredRawInputDevices ordinal = 1880, argument = 0 */
static gboolean user32_GetRegisteredRawInputDevices (Ia32Thread *thread)
{
  return FALSE;
}


/* GetScrollBarInfo ordinal = 1881, argument = 12 */
static gboolean user32_GetScrollBarInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetScrollInfo ordinal = 1882, argument = 12 */
static gboolean user32_GetScrollInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetScrollPos ordinal = 1883, argument = 8 */
static gboolean user32_GetScrollPos (Ia32Thread *thread)
{
  return FALSE;
}


/* GetScrollRange ordinal = 1884, argument = 16 */
static gboolean user32_GetScrollRange (Ia32Thread *thread)
{
  return FALSE;
}


/* GetSendMessageReceiver ordinal = 1885, argument = 0 */
static gboolean user32_GetSendMessageReceiver (Ia32Thread *thread)
{
  return FALSE;
}


/* GetShellWindow ordinal = 1886, argument = 0 */
static gboolean user32_GetShellWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* GetSubMenu ordinal = 1887, argument = 8 */
static gboolean user32_GetSubMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* GetSysColor ordinal = 1888, argument = 4 */
static gboolean user32_GetSysColor (Ia32Thread *thread)
{
  return FALSE;
}


/* GetSysColorBrush ordinal = 1889, argument = 4 */
static gboolean user32_GetSysColorBrush (Ia32Thread *thread)
{
  return FALSE;
}


/* GetSystemMenu ordinal = 1890, argument = 8 */
static gboolean user32_GetSystemMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* GetSystemMetrics ordinal = 1891, argument = 4 */
static gboolean user32_GetSystemMetrics (Ia32Thread *thread)
{
  return FALSE;
}


/* GetTabbedTextExtentA ordinal = 1892, argument = 20 */
static gboolean user32_GetTabbedTextExtentA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetTabbedTextExtentW ordinal = 1893, argument = 20 */
static gboolean user32_GetTabbedTextExtentW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetTaskmanWindow ordinal = 1894, argument = 0 */
static gboolean user32_GetTaskmanWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* GetThreadDesktop ordinal = 1895, argument = 4 */
static gboolean user32_GetThreadDesktop (Ia32Thread *thread)
{
  return FALSE;
}


/* GetTitleBarInfo ordinal = 1896, argument = 8 */
static gboolean user32_GetTitleBarInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetTopLevelWindow ordinal = 1897, argument = 0 */
static gboolean user32_GetTopLevelWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* GetTopWindow ordinal = 1898, argument = 4 */
static gboolean user32_GetTopWindow (Ia32Thread *thread)
{
  thread->reg.eax = 0;
  ia32_message_record_api_with_argument (thread,
                                        "GetTopWindow", IA32_MESSAGE_HEX,
                                        "hWnd", IA32_MESSAGE_HEX,
                                        NULL);
  return TRUE;
}


/* GetTouchInputInfo ordinal = 1899, argument = 0 */
static gboolean user32_GetTouchInputInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetUpdateRect ordinal = 1900, argument = 12 */
static gboolean user32_GetUpdateRect (Ia32Thread *thread)
{
  return FALSE;
}


/* GetUpdateRgn ordinal = 1901, argument = 12 */
static gboolean user32_GetUpdateRgn (Ia32Thread *thread)
{
  return FALSE;
}


/* GetUpdatedClipboardFormats ordinal = 1902, argument = 0 */
static gboolean user32_GetUpdatedClipboardFormats (Ia32Thread *thread)
{
  return FALSE;
}


/* GetUserObjectInformationA ordinal = 1903, argument = 20 */
static gboolean user32_GetUserObjectInformationA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetUserObjectInformationW ordinal = 1904, argument = 20 */
static gboolean user32_GetUserObjectInformationW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetUserObjectSecurity ordinal = 1905, argument = 20 */
static gboolean user32_GetUserObjectSecurity (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWinStationInfo ordinal = 1906, argument = 0 */
static gboolean user32_GetWinStationInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindow ordinal = 1907, argument = 8 */
static gboolean user32_GetWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowCompositionAttribute ordinal = 1908, argument = 0 */
static gboolean user32_GetWindowCompositionAttribute (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowCompositionInfo ordinal = 1909, argument = 0 */
static gboolean user32_GetWindowCompositionInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowContextHelpId ordinal = 1910, argument = 4 */
static gboolean user32_GetWindowContextHelpId (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowDC ordinal = 1911, argument = 4 */
static gboolean user32_GetWindowDC (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowDisplayAffinity ordinal = 1912, argument = 0 */
static gboolean user32_GetWindowDisplayAffinity (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowInfo ordinal = 1913, argument = 8 */
static gboolean user32_GetWindowInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowLongA ordinal = 1914, argument = 8 */
static gboolean user32_GetWindowLongA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowLongW ordinal = 1915, argument = 8 */
static gboolean user32_GetWindowLongW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowMinimizeRect ordinal = 1916, argument = 0 */
static gboolean user32_GetWindowMinimizeRect (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowModuleFileName ordinal = 1917, argument = 12 */
/* static gboolean user32_GetWindowModuleFileName (Ia32Thread *thread) */


/* GetWindowModuleFileNameA ordinal = 1918, argument = 12 */
static gboolean user32_GetWindowModuleFileNameA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowModuleFileNameW ordinal = 1919, argument = 12 */
static gboolean user32_GetWindowModuleFileNameW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowPlacement ordinal = 1920, argument = 8 */
static gboolean user32_GetWindowPlacement (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowRect ordinal = 1921, argument = 8 */
static gboolean user32_GetWindowRect (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowRgn ordinal = 1922, argument = 8 */
static gboolean user32_GetWindowRgn (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowRgnBox ordinal = 1923, argument = 0 */
static gboolean user32_GetWindowRgnBox (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowRgnEx ordinal = 1924, argument = 0 */
static gboolean user32_GetWindowRgnEx (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowTextA ordinal = 1925, argument = 12 */
static gboolean user32_GetWindowTextA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowTextLengthA ordinal = 1926, argument = 4 */
static gboolean user32_GetWindowTextLengthA (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowTextLengthW ordinal = 1927, argument = 4 */
static gboolean user32_GetWindowTextLengthW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowTextW ordinal = 1928, argument = 12 */
static gboolean user32_GetWindowTextW (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowThreadProcessId ordinal = 1929, argument = 8 */
static gboolean user32_GetWindowThreadProcessId (Ia32Thread *thread)
{
  return FALSE;
}


/* GetWindowWord ordinal = 1930, argument = 8 */
static gboolean user32_GetWindowWord (Ia32Thread *thread)
{
  return FALSE;
}


/* GhostWindowFromHungWindow ordinal = 1931, argument = 0 */
static gboolean user32_GhostWindowFromHungWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* GrayStringA ordinal = 1932, argument = 36 */
static gboolean user32_GrayStringA (Ia32Thread *thread)
{
  return FALSE;
}


/* GrayStringW ordinal = 1933, argument = 36 */
static gboolean user32_GrayStringW (Ia32Thread *thread)
{
  return FALSE;
}


/* HideCaret ordinal = 1934, argument = 4 */
static gboolean user32_HideCaret (Ia32Thread *thread)
{
  return FALSE;
}


/* HiliteMenuItem ordinal = 1935, argument = 16 */
static gboolean user32_HiliteMenuItem (Ia32Thread *thread)
{
  return FALSE;
}


/* HungWindowFromGhostWindow ordinal = 1936, argument = 0 */
static gboolean user32_HungWindowFromGhostWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* IMPGetIMEA ordinal = 1937, argument = 8 */
static gboolean user32_IMPGetIMEA (Ia32Thread *thread)
{
  return FALSE;
}


/* IMPGetIMEW ordinal = 1938, argument = 8 */
static gboolean user32_IMPGetIMEW (Ia32Thread *thread)
{
  return FALSE;
}


/* IMPQueryIMEA ordinal = 1939, argument = 4 */
static gboolean user32_IMPQueryIMEA (Ia32Thread *thread)
{
  return FALSE;
}


/* IMPQueryIMEW ordinal = 1940, argument = 4 */
static gboolean user32_IMPQueryIMEW (Ia32Thread *thread)
{
  return FALSE;
}


/* IMPSetIMEA ordinal = 1941, argument = 8 */
static gboolean user32_IMPSetIMEA (Ia32Thread *thread)
{
  return FALSE;
}


/* IMPSetIMEW ordinal = 1942, argument = 8 */
static gboolean user32_IMPSetIMEW (Ia32Thread *thread)
{
  return FALSE;
}


/* ImpersonateDdeClientWindow ordinal = 1943, argument = 8 */
static gboolean user32_ImpersonateDdeClientWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* InSendMessage ordinal = 1944, argument = 0 */
static gboolean user32_InSendMessage (Ia32Thread *thread)
{
  return FALSE;
}


/* InSendMessageEx ordinal = 1945, argument = 4 */
static gboolean user32_InSendMessageEx (Ia32Thread *thread)
{
  return FALSE;
}


/* InflateRect ordinal = 1946, argument = 12 */
static gboolean user32_InflateRect (Ia32Thread *thread)
{
  return FALSE;
}


/* InitializeLpkHooks ordinal = 1947, argument = 0 */
static gboolean user32_InitializeLpkHooks (Ia32Thread *thread)
{
  return FALSE;
}


/* InsertMenuA ordinal = 1948, argument = 20 */
static gboolean user32_InsertMenuA (Ia32Thread *thread)
{
  return FALSE;
}


/* InsertMenuItemA ordinal = 1949, argument = 16 */
static gboolean user32_InsertMenuItemA (Ia32Thread *thread)
{
  return FALSE;
}


/* InsertMenuItemW ordinal = 1950, argument = 16 */
static gboolean user32_InsertMenuItemW (Ia32Thread *thread)
{
  return FALSE;
}


/* InsertMenuW ordinal = 1951, argument = 20 */
static gboolean user32_InsertMenuW (Ia32Thread *thread)
{
  return FALSE;
}


/* InternalGetWindowIcon ordinal = 1952, argument = 0 */
static gboolean user32_InternalGetWindowIcon (Ia32Thread *thread)
{
  return FALSE;
}


/* InternalGetWindowText ordinal = 1953, argument = 0 */
static gboolean user32_InternalGetWindowText (Ia32Thread *thread)
{
  return FALSE;
}


/* IntersectRect ordinal = 1954, argument = 12 */
static gboolean user32_IntersectRect (Ia32Thread *thread)
{
  return FALSE;
}


/* InvalidateRect ordinal = 1955, argument = 12 */
static gboolean user32_InvalidateRect (Ia32Thread *thread)
{
  return FALSE;
}


/* InvalidateRgn ordinal = 1956, argument = 12 */
static gboolean user32_InvalidateRgn (Ia32Thread *thread)
{
  return FALSE;
}


/* InvertRect ordinal = 1957, argument = 8 */
static gboolean user32_InvertRect (Ia32Thread *thread)
{
  return FALSE;
}


/* IsCharAlphaA ordinal = 1958, argument = 4 */
static gboolean user32_IsCharAlphaA (Ia32Thread *thread)
{
  return FALSE;
}


/* IsCharAlphaNumericA ordinal = 1959, argument = 4 */
static gboolean user32_IsCharAlphaNumericA (Ia32Thread *thread)
{
  return FALSE;
}


/* IsCharAlphaNumericW ordinal = 1960, argument = 4 */
static gboolean user32_IsCharAlphaNumericW (Ia32Thread *thread)
{
  return FALSE;
}


/* IsCharAlphaW ordinal = 1961, argument = 4 */
static gboolean user32_IsCharAlphaW (Ia32Thread *thread)
{
  return FALSE;
}


/* IsCharLowerA ordinal = 1962, argument = 4 */
static gboolean user32_IsCharLowerA (Ia32Thread *thread)
{
  return FALSE;
}


/* IsCharLowerW ordinal = 1963, argument = 4 */
static gboolean user32_IsCharLowerW (Ia32Thread *thread)
{
  return FALSE;
}


/* IsCharUpperA ordinal = 1964, argument = 4 */
static gboolean user32_IsCharUpperA (Ia32Thread *thread)
{
  return FALSE;
}


/* IsCharUpperW ordinal = 1965, argument = 4 */
static gboolean user32_IsCharUpperW (Ia32Thread *thread)
{
  return FALSE;
}


/* IsChild ordinal = 1966, argument = 8 */
static gboolean user32_IsChild (Ia32Thread *thread)
{
  return FALSE;
}


/* IsClipboardFormatAvailable ordinal = 1967, argument = 4 */
static gboolean user32_IsClipboardFormatAvailable (Ia32Thread *thread)
{
  return FALSE;
}


/* IsDialogMessage ordinal = 1968, argument = 8 */
/* static gboolean user32_IsDialogMessage (Ia32Thread *thread) */


/* IsDialogMessageA ordinal = 1969, argument = 8 */
static gboolean user32_IsDialogMessageA (Ia32Thread *thread)
{
  return FALSE;
}


/* IsDialogMessageW ordinal = 1970, argument = 8 */
static gboolean user32_IsDialogMessageW (Ia32Thread *thread)
{
  return FALSE;
}


/* IsDlgButtonChecked ordinal = 1971, argument = 8 */
static gboolean user32_IsDlgButtonChecked (Ia32Thread *thread)
{
  return FALSE;
}


/* IsGUIThread ordinal = 1972, argument = 0 */
static gboolean user32_IsGUIThread (Ia32Thread *thread)
{
  return FALSE;
}


/* IsHungAppWindow ordinal = 1973, argument = 0 */
static gboolean user32_IsHungAppWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* IsIconic ordinal = 1974, argument = 4 */
static gboolean user32_IsIconic (Ia32Thread *thread)
{
  return FALSE;
}


/* IsMenu ordinal = 1975, argument = 4 */
static gboolean user32_IsMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* IsProcessDPIAware ordinal = 1976, argument = 0 */
static gboolean user32_IsProcessDPIAware (Ia32Thread *thread)
{
  return FALSE;
}


/* IsRectEmpty ordinal = 1977, argument = 4 */
static gboolean user32_IsRectEmpty (Ia32Thread *thread)
{
  return FALSE;
}


/* IsSETEnabled ordinal = 1978, argument = 0 */
static gboolean user32_IsSETEnabled (Ia32Thread *thread)
{
  return FALSE;
}


/* IsServerSideWindow ordinal = 1979, argument = 0 */
static gboolean user32_IsServerSideWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* IsThreadDesktopComposited ordinal = 1980, argument = 0 */
static gboolean user32_IsThreadDesktopComposited (Ia32Thread *thread)
{
  return FALSE;
}


/* IsTopLevelWindow ordinal = 1981, argument = 0 */
static gboolean user32_IsTopLevelWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* IsTouchWindow ordinal = 1982, argument = 0 */
static gboolean user32_IsTouchWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* IsWinEventHookInstalled ordinal = 1983, argument = 0 */
static gboolean user32_IsWinEventHookInstalled (Ia32Thread *thread)
{
  return FALSE;
}


/* IsWindow ordinal = 1984, argument = 4 */
static gboolean user32_IsWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* IsWindowEnabled ordinal = 1985, argument = 4 */
static gboolean user32_IsWindowEnabled (Ia32Thread *thread)
{
  return FALSE;
}


/* IsWindowInDestroy ordinal = 1986, argument = 0 */
static gboolean user32_IsWindowInDestroy (Ia32Thread *thread)
{
  return FALSE;
}


/* IsWindowRedirectedForPrint ordinal = 1987, argument = 0 */
static gboolean user32_IsWindowRedirectedForPrint (Ia32Thread *thread)
{
  return FALSE;
}


/* IsWindowUnicode ordinal = 1988, argument = 4 */
static gboolean user32_IsWindowUnicode (Ia32Thread *thread)
{
  return FALSE;
}


/* IsWindowVisible ordinal = 1989, argument = 4 */
static gboolean user32_IsWindowVisible (Ia32Thread *thread)
{
  return FALSE;
}


/* IsWow64Message ordinal = 1990, argument = 0 */
static gboolean user32_IsWow64Message (Ia32Thread *thread)
{
  return FALSE;
}


/* IsZoomed ordinal = 1991, argument = 4 */
static gboolean user32_IsZoomed (Ia32Thread *thread)
{
  return FALSE;
}


/* KillTimer ordinal = 1992, argument = 8 */
static gboolean user32_KillTimer (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadAcceleratorsA ordinal = 1993, argument = 8 */
static gboolean user32_LoadAcceleratorsA (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadAcceleratorsW ordinal = 1994, argument = 8 */
static gboolean user32_LoadAcceleratorsW (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadBitmapA ordinal = 1995, argument = 8 */
static gboolean user32_LoadBitmapA (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadBitmapW ordinal = 1996, argument = 8 */
static gboolean user32_LoadBitmapW (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadCursorA ordinal = 1997, argument = 8 */
static gboolean user32_LoadCursorA (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadCursorFromFileA ordinal = 1998, argument = 4 */
static gboolean user32_LoadCursorFromFileA (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadCursorFromFileW ordinal = 1999, argument = 4 */
static gboolean user32_LoadCursorFromFileW (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadCursorW ordinal = 2003, argument = 8 */
static gboolean user32_LoadCursorW (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadIconA ordinal = 2004, argument = 8 */
static gboolean user32_LoadIconA (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadIconW ordinal = 2006, argument = 8 */
static gboolean user32_LoadIconW (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadImageA ordinal = 2007, argument = 24 */
static gboolean user32_LoadImageA (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadImageW ordinal = 2008, argument = 24 */
static gboolean user32_LoadImageW (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadKeyboardLayoutA ordinal = 2009, argument = 8 */
static gboolean user32_LoadKeyboardLayoutA (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadKeyboardLayoutEx ordinal = 2010, argument = 0 */
static gboolean user32_LoadKeyboardLayoutEx (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadKeyboardLayoutW ordinal = 2011, argument = 8 */
static gboolean user32_LoadKeyboardLayoutW (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadLocalFonts ordinal = 2012, argument = 0 */
static gboolean user32_LoadLocalFonts (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadMenuA ordinal = 2013, argument = 8 */
static gboolean user32_LoadMenuA (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadMenuIndirectA ordinal = 2014, argument = 4 */
static gboolean user32_LoadMenuIndirectA (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadMenuIndirectW ordinal = 2015, argument = 4 */
static gboolean user32_LoadMenuIndirectW (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadMenuW ordinal = 2016, argument = 8 */
static gboolean user32_LoadMenuW (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadRemoteFonts ordinal = 2017, argument = 0 */
static gboolean user32_LoadRemoteFonts (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadStringA ordinal = 2018, argument = 16 */
static gboolean user32_LoadStringA (Ia32Thread *thread)
{
  return FALSE;
}


/* LoadStringW ordinal = 2019, argument = 16 */
static gboolean user32_LoadStringW (Ia32Thread *thread)
{
  return FALSE;
}


/* LockSetForegroundWindow ordinal = 2020, argument = 0 */
static gboolean user32_LockSetForegroundWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* LockWindowStation ordinal = 2021, argument = 0 */
static gboolean user32_LockWindowStation (Ia32Thread *thread)
{
  return FALSE;
}


/* LockWindowUpdate ordinal = 2022, argument = 4 */
static gboolean user32_LockWindowUpdate (Ia32Thread *thread)
{
  return FALSE;
}


/* LockWorkStation ordinal = 2023, argument = 0 */
static gboolean user32_LockWorkStation (Ia32Thread *thread)
{
  return FALSE;
}


/* LogicalToPhysicalPoint ordinal = 2024, argument = 0 */
static gboolean user32_LogicalToPhysicalPoint (Ia32Thread *thread)
{
  return FALSE;
}


/* LookupIconIdFromDirectory ordinal = 2025, argument = 8 */
static gboolean user32_LookupIconIdFromDirectory (Ia32Thread *thread)
{
  return FALSE;
}


/* LookupIconIdFromDirectoryEx ordinal = 2026, argument = 20 */
static gboolean user32_LookupIconIdFromDirectoryEx (Ia32Thread *thread)
{
  return FALSE;
}


/* MBToWCSEx ordinal = 2027, argument = 0 */
static gboolean user32_MBToWCSEx (Ia32Thread *thread)
{
  return FALSE;
}


/* MB_GetString ordinal = 2028, argument = 0 */
static gboolean user32_MB_GetString (Ia32Thread *thread)
{
  return FALSE;
}


/* MapDialogRect ordinal = 2029, argument = 8 */
static gboolean user32_MapDialogRect (Ia32Thread *thread)
{
  return FALSE;
}


/* MapVirtualKeyA ordinal = 2030, argument = 8 */
static gboolean user32_MapVirtualKeyA (Ia32Thread *thread)
{
  return FALSE;
}


/* MapVirtualKeyExA ordinal = 2031, argument = 12 */
static gboolean user32_MapVirtualKeyExA (Ia32Thread *thread)
{
  return FALSE;
}


/* MapVirtualKeyExW ordinal = 2032, argument = 12 */
static gboolean user32_MapVirtualKeyExW (Ia32Thread *thread)
{
  return FALSE;
}


/* MapVirtualKeyW ordinal = 2033, argument = 8 */
static gboolean user32_MapVirtualKeyW (Ia32Thread *thread)
{
  return FALSE;
}


/* MapWindowPoints ordinal = 2034, argument = 16 */
static gboolean user32_MapWindowPoints (Ia32Thread *thread)
{
  return FALSE;
}


/* MenuItemFromPoint ordinal = 2035, argument = 16 */
static gboolean user32_MenuItemFromPoint (Ia32Thread *thread)
{
  return FALSE;
}


/* MenuWindowProcA ordinal = 2036, argument = 0 */
static gboolean user32_MenuWindowProcA (Ia32Thread *thread)
{
  return FALSE;
}


/* MenuWindowProcW ordinal = 2037, argument = 0 */
static gboolean user32_MenuWindowProcW (Ia32Thread *thread)
{
  return FALSE;
}


/* MessageBeep ordinal = 2038, argument = 4 */
static gboolean user32_MessageBeep (Ia32Thread *thread)
{
  return FALSE;
}


/* MessageBoxA ordinal = 2039, argument = 16 */
static gboolean user32_MessageBoxA (Ia32Thread *thread)
{
  thread->reg.eax = 1;
  ia32_message_record_api_with_argument (thread,
                                        "MessageBoxA", IA32_MESSAGE_DEC,
                                        "hWnd", IA32_MESSAGE_HEX,
                                        "lpText", IA32_MESSAGE_STRING,
                                        "lpCaption", IA32_MESSAGE_STRING,
                                        "uType", IA32_MESSAGE_HEX,
                                        NULL);
  return TRUE;
}


/* MessageBoxExA ordinal = 2040, argument = 20 */
static gboolean user32_MessageBoxExA (Ia32Thread *thread)
{
  return FALSE;
}


/* MessageBoxExW ordinal = 2041, argument = 20 */
static gboolean user32_MessageBoxExW (Ia32Thread *thread)
{
  return FALSE;
}


/* MessageBoxIndirectA ordinal = 2042, argument = 4 */
static gboolean user32_MessageBoxIndirectA (Ia32Thread *thread)
{
  return FALSE;
}


/* MessageBoxIndirectW ordinal = 2043, argument = 4 */
static gboolean user32_MessageBoxIndirectW (Ia32Thread *thread)
{
  return FALSE;
}


/* MessageBoxTimeoutA ordinal = 2044, argument = 0 */
static gboolean user32_MessageBoxTimeoutA (Ia32Thread *thread)
{
  return FALSE;
}


/* MessageBoxTimeoutW ordinal = 2045, argument = 0 */
static gboolean user32_MessageBoxTimeoutW (Ia32Thread *thread)
{
  return FALSE;
}


/* MessageBoxW ordinal = 2046, argument = 16 */
static gboolean user32_MessageBoxW (Ia32Thread *thread)
{
  thread->reg.eax = 1;
  ia32_message_record_api_with_argument (thread,
                                        "MessageBoxW", IA32_MESSAGE_DEC,
                                        "hWnd", IA32_MESSAGE_HEX,
                                        "lpText", IA32_MESSAGE_STRINGW,
                                        "lpCaption", IA32_MESSAGE_STRINGW,
                                        "uType", IA32_MESSAGE_HEX,
                                        NULL);
  return TRUE;
}


/* ModifyMenuA ordinal = 2047, argument = 20 */
static gboolean user32_ModifyMenuA (Ia32Thread *thread)
{
  return FALSE;
}


/* ModifyMenuW ordinal = 2048, argument = 20 */
static gboolean user32_ModifyMenuW (Ia32Thread *thread)
{
  return FALSE;
}


/* MonitorFromPoint ordinal = 2049, argument = 12 */
static gboolean user32_MonitorFromPoint (Ia32Thread *thread)
{
  return FALSE;
}


/* MonitorFromRect ordinal = 2050, argument = 8 */
static gboolean user32_MonitorFromRect (Ia32Thread *thread)
{
  return FALSE;
}


/* MonitorFromWindow ordinal = 2051, argument = 8 */
static gboolean user32_MonitorFromWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* MoveWindow ordinal = 2052, argument = 24 */
static gboolean user32_MoveWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* MsgWaitForMultipleObjects ordinal = 2053, argument = 20 */
static gboolean user32_MsgWaitForMultipleObjects (Ia32Thread *thread)
{
  return FALSE;
}


/* MsgWaitForMultipleObjectsEx ordinal = 2054, argument = 20 */
static gboolean user32_MsgWaitForMultipleObjectsEx (Ia32Thread *thread)
{
  return FALSE;
}


/* NotifyOverlayWindow ordinal = 2055, argument = 0 */
static gboolean user32_NotifyOverlayWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* NotifyWinEvent ordinal = 2056, argument = 16 */
static gboolean user32_NotifyWinEvent (Ia32Thread *thread)
{
  return FALSE;
}


/* OemKeyScan ordinal = 2057, argument = 4 */
static gboolean user32_OemKeyScan (Ia32Thread *thread)
{
  return FALSE;
}


/* OemToCharA ordinal = 2058, argument = 8 */
static gboolean user32_OemToCharA (Ia32Thread *thread)
{
  return FALSE;
}


/* OemToCharBuffA ordinal = 2059, argument = 12 */
static gboolean user32_OemToCharBuffA (Ia32Thread *thread)
{
  return FALSE;
}


/* OemToCharBuffW ordinal = 2060, argument = 12 */
static gboolean user32_OemToCharBuffW (Ia32Thread *thread)
{
  return FALSE;
}


/* OemToCharW ordinal = 2061, argument = 8 */
static gboolean user32_OemToCharW (Ia32Thread *thread)
{
  return FALSE;
}


/* OffsetRect ordinal = 2062, argument = 12 */
static gboolean user32_OffsetRect (Ia32Thread *thread)
{
  return FALSE;
}


/* OpenClipboard ordinal = 2063, argument = 4 */
static gboolean user32_OpenClipboard (Ia32Thread *thread)
{
  return FALSE;
}


/* OpenDesktopA ordinal = 2064, argument = 16 */
static gboolean user32_OpenDesktopA (Ia32Thread *thread)
{
  return FALSE;
}


/* OpenDesktopW ordinal = 2065, argument = 16 */
static gboolean user32_OpenDesktopW (Ia32Thread *thread)
{
  return FALSE;
}


/* OpenIcon ordinal = 2066, argument = 4 */
static gboolean user32_OpenIcon (Ia32Thread *thread)
{
  return FALSE;
}


/* OpenInputDesktop ordinal = 2067, argument = 12 */
static gboolean user32_OpenInputDesktop (Ia32Thread *thread)
{
  return FALSE;
}


/* OpenThreadDesktop ordinal = 2068, argument = 0 */
static gboolean user32_OpenThreadDesktop (Ia32Thread *thread)
{
  return FALSE;
}


/* OpenWindowStationA ordinal = 2069, argument = 12 */
static gboolean user32_OpenWindowStationA (Ia32Thread *thread)
{
  return FALSE;
}


/* OpenWindowStationW ordinal = 2070, argument = 12 */
static gboolean user32_OpenWindowStationW (Ia32Thread *thread)
{
  return FALSE;
}


/* PackDDElParam ordinal = 2071, argument = 12 */
static gboolean user32_PackDDElParam (Ia32Thread *thread)
{
  return FALSE;
}


/* PaintDesktop ordinal = 2072, argument = 4 */
static gboolean user32_PaintDesktop (Ia32Thread *thread)
{
  return FALSE;
}


/* PaintMenuBar ordinal = 2073, argument = 0 */
static gboolean user32_PaintMenuBar (Ia32Thread *thread)
{
  return FALSE;
}


/* PaintMonitor ordinal = 2074, argument = 0 */
static gboolean user32_PaintMonitor (Ia32Thread *thread)
{
  return FALSE;
}


/* PeekMessageA ordinal = 2075, argument = 20 */
static gboolean user32_PeekMessageA (Ia32Thread *thread)
{
  return FALSE;
}


/* PeekMessageW ordinal = 2076, argument = 20 */
static gboolean user32_PeekMessageW (Ia32Thread *thread)
{
  return FALSE;
}


/* PhysicalToLogicalPoint ordinal = 2077, argument = 0 */
static gboolean user32_PhysicalToLogicalPoint (Ia32Thread *thread)
{
  return FALSE;
}


/* PostMessageA ordinal = 2078, argument = 16 */
static gboolean user32_PostMessageA (Ia32Thread *thread)
{
  return FALSE;
}


/* PostMessageW ordinal = 2079, argument = 16 */
static gboolean user32_PostMessageW (Ia32Thread *thread)
{
  return FALSE;
}


/* PostQuitMessage ordinal = 2080, argument = 4 */
static gboolean user32_PostQuitMessage (Ia32Thread *thread)
{
  return FALSE;
}


/* PostThreadMessageA ordinal = 2081, argument = 16 */
static gboolean user32_PostThreadMessageA (Ia32Thread *thread)
{
  return FALSE;
}


/* PostThreadMessageW ordinal = 2082, argument = 16 */
static gboolean user32_PostThreadMessageW (Ia32Thread *thread)
{
  return FALSE;
}


/* PrintWindow ordinal = 2083, argument = 0 */
static gboolean user32_PrintWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* PrivateExtractIconExA ordinal = 2084, argument = 0 */
static gboolean user32_PrivateExtractIconExA (Ia32Thread *thread)
{
  return FALSE;
}


/* PrivateExtractIconExW ordinal = 2085, argument = 0 */
static gboolean user32_PrivateExtractIconExW (Ia32Thread *thread)
{
  return FALSE;
}


/* PrivateExtractIconsA ordinal = 2086, argument = 0 */
static gboolean user32_PrivateExtractIconsA (Ia32Thread *thread)
{
  return FALSE;
}


/* PrivateExtractIconsW ordinal = 2087, argument = 0 */
static gboolean user32_PrivateExtractIconsW (Ia32Thread *thread)
{
  return FALSE;
}


/* PrivateRegisterICSProc ordinal = 2088, argument = 0 */
static gboolean user32_PrivateRegisterICSProc (Ia32Thread *thread)
{
  return FALSE;
}


/* PtInRect ordinal = 2089, argument = 12 */
static gboolean user32_PtInRect (Ia32Thread *thread)
{
  return FALSE;
}


/* QueryDisplayConfig ordinal = 2090, argument = 0 */
static gboolean user32_QueryDisplayConfig (Ia32Thread *thread)
{
  return FALSE;
}


/* QuerySendMessage ordinal = 2091, argument = 0 */
static gboolean user32_QuerySendMessage (Ia32Thread *thread)
{
  return FALSE;
}


/* RealChildWindowFromPoint ordinal = 2092, argument = 12 */
static gboolean user32_RealChildWindowFromPoint (Ia32Thread *thread)
{
  return FALSE;
}


/* RealGetWindowClass ordinal = 2093, argument = 12 */
/* static gboolean user32_RealGetWindowClass (Ia32Thread *thread) */


/* RealGetWindowClassA ordinal = 2094, argument = 12 */
static gboolean user32_RealGetWindowClassA (Ia32Thread *thread)
{
  return FALSE;
}


/* RealGetWindowClassW ordinal = 2095, argument = 12 */
static gboolean user32_RealGetWindowClassW (Ia32Thread *thread)
{
  return FALSE;
}


/* ReasonCodeNeedsBugID ordinal = 2096, argument = 0 */
static gboolean user32_ReasonCodeNeedsBugID (Ia32Thread *thread)
{
  return FALSE;
}


/* ReasonCodeNeedsComment ordinal = 2097, argument = 0 */
static gboolean user32_ReasonCodeNeedsComment (Ia32Thread *thread)
{
  return FALSE;
}


/* RecordShutdownReason ordinal = 2098, argument = 0 */
static gboolean user32_RecordShutdownReason (Ia32Thread *thread)
{
  return FALSE;
}


/* RedrawWindow ordinal = 2099, argument = 16 */
static gboolean user32_RedrawWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterClassA ordinal = 2100, argument = 4 */
static gboolean user32_RegisterClassA (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterClassExA ordinal = 2101, argument = 4 */
static gboolean user32_RegisterClassExA (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterClassExW ordinal = 2102, argument = 4 */
static gboolean user32_RegisterClassExW (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterClassW ordinal = 2103, argument = 4 */
static gboolean user32_RegisterClassW (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterClipboardFormatA ordinal = 2104, argument = 4 */
static gboolean user32_RegisterClipboardFormatA (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterClipboardFormatW ordinal = 2105, argument = 4 */
static gboolean user32_RegisterClipboardFormatW (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterDeviceNotificationA ordinal = 2106, argument = 12 */
static gboolean user32_RegisterDeviceNotificationA (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterDeviceNotificationW ordinal = 2107, argument = 12 */
static gboolean user32_RegisterDeviceNotificationW (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterErrorReportingDialog ordinal = 2108, argument = 0 */
static gboolean user32_RegisterErrorReportingDialog (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterFrostWindow ordinal = 2109, argument = 0 */
static gboolean user32_RegisterFrostWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterGhostWindow ordinal = 2110, argument = 0 */
static gboolean user32_RegisterGhostWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterHotKey ordinal = 2111, argument = 16 */
static gboolean user32_RegisterHotKey (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterLogonProcess ordinal = 2112, argument = 0 */
static gboolean user32_RegisterLogonProcess (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterMessagePumpHook ordinal = 2113, argument = 0 */
static gboolean user32_RegisterMessagePumpHook (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterPowerSettingNotification ordinal = 2114, argument = 0 */
static gboolean user32_RegisterPowerSettingNotification (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterRawInputDevices ordinal = 2115, argument = 0 */
static gboolean user32_RegisterRawInputDevices (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterServicesProcess ordinal = 2116, argument = 0 */
static gboolean user32_RegisterServicesProcess (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterSessionPort ordinal = 2117, argument = 0 */
static gboolean user32_RegisterSessionPort (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterShellHookWindow ordinal = 2118, argument = 0 */
static gboolean user32_RegisterShellHookWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterSystemThread ordinal = 2119, argument = 0 */
static gboolean user32_RegisterSystemThread (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterTasklist ordinal = 2120, argument = 0 */
static gboolean user32_RegisterTasklist (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterTouchWindow ordinal = 2121, argument = 0 */
static gboolean user32_RegisterTouchWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterUserApiHook ordinal = 2122, argument = 0 */
static gboolean user32_RegisterUserApiHook (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterWindowMessageA ordinal = 2123, argument = 4 */
static gboolean user32_RegisterWindowMessageA (Ia32Thread *thread)
{
  return FALSE;
}


/* RegisterWindowMessageW ordinal = 2124, argument = 4 */
static gboolean user32_RegisterWindowMessageW (Ia32Thread *thread)
{
  return FALSE;
}


/* ReleaseCapture ordinal = 2125, argument = 0 */
static gboolean user32_ReleaseCapture (Ia32Thread *thread)
{
  return FALSE;
}


/* ReleaseDC ordinal = 2126, argument = 8 */
static gboolean user32_ReleaseDC (Ia32Thread *thread)
{
  return FALSE;
}


/* RemoveClipboardFormatListener ordinal = 2127, argument = 0 */
static gboolean user32_RemoveClipboardFormatListener (Ia32Thread *thread)
{
  return FALSE;
}


/* RemoveMenu ordinal = 2128, argument = 12 */
static gboolean user32_RemoveMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* RemovePropA ordinal = 2129, argument = 8 */
static gboolean user32_RemovePropA (Ia32Thread *thread)
{
  return FALSE;
}


/* RemovePropW ordinal = 2130, argument = 8 */
static gboolean user32_RemovePropW (Ia32Thread *thread)
{
  return FALSE;
}


/* ReplyMessage ordinal = 2131, argument = 4 */
static gboolean user32_ReplyMessage (Ia32Thread *thread)
{
  return FALSE;
}


/* ResolveDesktopForWOW ordinal = 2132, argument = 0 */
static gboolean user32_ResolveDesktopForWOW (Ia32Thread *thread)
{
  return FALSE;
}


/* ReuseDDElParam ordinal = 2133, argument = 20 */
static gboolean user32_ReuseDDElParam (Ia32Thread *thread)
{
  return FALSE;
}


/* ScreenToClient ordinal = 2134, argument = 8 */
static gboolean user32_ScreenToClient (Ia32Thread *thread)
{
  return FALSE;
}


/* ScrollChildren ordinal = 2135, argument = 12 */
static gboolean user32_ScrollChildren (Ia32Thread *thread)
{
  return FALSE;
}


/* ScrollDC ordinal = 2136, argument = 28 */
static gboolean user32_ScrollDC (Ia32Thread *thread)
{
  return FALSE;
}


/* ScrollWindow ordinal = 2137, argument = 20 */
static gboolean user32_ScrollWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* ScrollWindowEx ordinal = 2138, argument = 32 */
static gboolean user32_ScrollWindowEx (Ia32Thread *thread)
{
  return FALSE;
}


/* SendDlgItemMessageA ordinal = 2139, argument = 20 */
static gboolean user32_SendDlgItemMessageA (Ia32Thread *thread)
{
  return FALSE;
}


/* SendDlgItemMessageW ordinal = 2140, argument = 20 */
static gboolean user32_SendDlgItemMessageW (Ia32Thread *thread)
{
  return FALSE;
}


/* SendIMEMessageExA ordinal = 2141, argument = 8 */
static gboolean user32_SendIMEMessageExA (Ia32Thread *thread)
{
  return FALSE;
}


/* SendIMEMessageExW ordinal = 2142, argument = 8 */
static gboolean user32_SendIMEMessageExW (Ia32Thread *thread)
{
  return FALSE;
}


/* SendInput ordinal = 2143, argument = 12 */
static gboolean user32_SendInput (Ia32Thread *thread)
{
  return FALSE;
}


/* SendMessageA ordinal = 2144, argument = 16 */
static gboolean user32_SendMessageA (Ia32Thread *thread)
{
  return FALSE;
}


/* SendMessageCallbackA ordinal = 2145, argument = 24 */
static gboolean user32_SendMessageCallbackA (Ia32Thread *thread)
{
  return FALSE;
}


/* SendMessageCallbackW ordinal = 2146, argument = 24 */
static gboolean user32_SendMessageCallbackW (Ia32Thread *thread)
{
  return FALSE;
}


/* SendMessageTimeoutA ordinal = 2147, argument = 28 */
static gboolean user32_SendMessageTimeoutA (Ia32Thread *thread)
{
  return FALSE;
}


/* SendMessageTimeoutW ordinal = 2148, argument = 28 */
static gboolean user32_SendMessageTimeoutW (Ia32Thread *thread)
{
  return FALSE;
}


/* SendMessageW ordinal = 2149, argument = 16 */
static gboolean user32_SendMessageW (Ia32Thread *thread)
{
  return FALSE;
}


/* SendNotifyMessageA ordinal = 2150, argument = 16 */
static gboolean user32_SendNotifyMessageA (Ia32Thread *thread)
{
  return FALSE;
}


/* SendNotifyMessageW ordinal = 2151, argument = 16 */
static gboolean user32_SendNotifyMessageW (Ia32Thread *thread)
{
  return FALSE;
}


/* SetActiveWindow ordinal = 2152, argument = 4 */
static gboolean user32_SetActiveWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* SetCapture ordinal = 2153, argument = 4 */
static gboolean user32_SetCapture (Ia32Thread *thread)
{
  return FALSE;
}


/* SetCaretBlinkTime ordinal = 2154, argument = 4 */
static gboolean user32_SetCaretBlinkTime (Ia32Thread *thread)
{
  return FALSE;
}


/* SetCaretPos ordinal = 2155, argument = 8 */
static gboolean user32_SetCaretPos (Ia32Thread *thread)
{
  return FALSE;
}


/* SetClassLongA ordinal = 2156, argument = 12 */
static gboolean user32_SetClassLongA (Ia32Thread *thread)
{
  return FALSE;
}


/* SetClassLongW ordinal = 2157, argument = 12 */
static gboolean user32_SetClassLongW (Ia32Thread *thread)
{
  return FALSE;
}


/* SetClassWord ordinal = 2158, argument = 12 */
static gboolean user32_SetClassWord (Ia32Thread *thread)
{
  return FALSE;
}


/* SetClipboardData ordinal = 2159, argument = 8 */
static gboolean user32_SetClipboardData (Ia32Thread *thread)
{
  return FALSE;
}


/* SetClipboardViewer ordinal = 2160, argument = 4 */
static gboolean user32_SetClipboardViewer (Ia32Thread *thread)
{
  return FALSE;
}


/* SetCursor ordinal = 2161, argument = 4 */
static gboolean user32_SetCursor (Ia32Thread *thread)
{
  return FALSE;
}


/* SetCursorContents ordinal = 2162, argument = 0 */
static gboolean user32_SetCursorContents (Ia32Thread *thread)
{
  return FALSE;
}


/* SetCursorPos ordinal = 2163, argument = 8 */
static gboolean user32_SetCursorPos (Ia32Thread *thread)
{
  return FALSE;
}


/* SetDebugErrorLevel ordinal = 2164, argument = 4 */
static gboolean user32_SetDebugErrorLevel (Ia32Thread *thread)
{
  return FALSE;
}


/* SetDeskWallpaper ordinal = 2165, argument = 4 */
static gboolean user32_SetDeskWallpaper (Ia32Thread *thread)
{
  return FALSE;
}


/* SetDisplayConfig ordinal = 2166, argument = 0 */
static gboolean user32_SetDisplayConfig (Ia32Thread *thread)
{
  return FALSE;
}


/* SetDlgItemInt ordinal = 2167, argument = 16 */
static gboolean user32_SetDlgItemInt (Ia32Thread *thread)
{
  return FALSE;
}


/* SetDlgItemTextA ordinal = 2168, argument = 12 */
static gboolean user32_SetDlgItemTextA (Ia32Thread *thread)
{
  return FALSE;
}


/* SetDlgItemTextW ordinal = 2169, argument = 12 */
static gboolean user32_SetDlgItemTextW (Ia32Thread *thread)
{
  return FALSE;
}


/* SetDoubleClickTime ordinal = 2170, argument = 4 */
static gboolean user32_SetDoubleClickTime (Ia32Thread *thread)
{
  return FALSE;
}


/* SetFocus ordinal = 2171, argument = 4 */
static gboolean user32_SetFocus (Ia32Thread *thread)
{
  return FALSE;
}


/* SetForegroundWindow ordinal = 2172, argument = 4 */
static gboolean user32_SetForegroundWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* SetGestureConfig ordinal = 2173, argument = 0 */
static gboolean user32_SetGestureConfig (Ia32Thread *thread)
{
  return FALSE;
}


/* SetInternalWindowPos ordinal = 2174, argument = 0 */
static gboolean user32_SetInternalWindowPos (Ia32Thread *thread)
{
  return FALSE;
}


/* SetKeyboardState ordinal = 2175, argument = 4 */
static gboolean user32_SetKeyboardState (Ia32Thread *thread)
{
  return FALSE;
}


/* SetLastErrorEx ordinal = 2176, argument = 8 */
static gboolean user32_SetLastErrorEx (Ia32Thread *thread)
{
  return FALSE;
}


/* SetLayeredWindowAttributes ordinal = 2177, argument = 0 */
static gboolean user32_SetLayeredWindowAttributes (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMagnificationDesktopColorEffect ordinal = 2178, argument = 0 */
static gboolean user32_SetMagnificationDesktopColorEffect (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMagnificationDesktopMagnification ordinal = 2179, argument = 0 */
static gboolean user32_SetMagnificationDesktopMagnification (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMagnificationLensCtxInformation ordinal = 2180, argument = 0 */
static gboolean user32_SetMagnificationLensCtxInformation (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMenu ordinal = 2181, argument = 8 */
static gboolean user32_SetMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMenuContextHelpId ordinal = 2182, argument = 8 */
static gboolean user32_SetMenuContextHelpId (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMenuDefaultItem ordinal = 2183, argument = 12 */
static gboolean user32_SetMenuDefaultItem (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMenuInfo ordinal = 2184, argument = 8 */
static gboolean user32_SetMenuInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMenuItemBitmaps ordinal = 2185, argument = 20 */
static gboolean user32_SetMenuItemBitmaps (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMenuItemInfoA ordinal = 2186, argument = 16 */
static gboolean user32_SetMenuItemInfoA (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMenuItemInfoW ordinal = 2187, argument = 16 */
static gboolean user32_SetMenuItemInfoW (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMessageExtraInfo ordinal = 2188, argument = 4 */
static gboolean user32_SetMessageExtraInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMessageQueue ordinal = 2189, argument = 4 */
static gboolean user32_SetMessageQueue (Ia32Thread *thread)
{
  return FALSE;
}


/* SetMirrorRendering ordinal = 2190, argument = 0 */
static gboolean user32_SetMirrorRendering (Ia32Thread *thread)
{
  return FALSE;
}


/* SetParent ordinal = 2191, argument = 8 */
static gboolean user32_SetParent (Ia32Thread *thread)
{
  return FALSE;
}


/* SetPhysicalCursorPos ordinal = 2192, argument = 0 */
static gboolean user32_SetPhysicalCursorPos (Ia32Thread *thread)
{
  return FALSE;
}


/* SetProcessDPIAware ordinal = 2193, argument = 0 */
static gboolean user32_SetProcessDPIAware (Ia32Thread *thread)
{
  return FALSE;
}


/* SetProcessDefaultLayout ordinal = 2194, argument = 4 */
static gboolean user32_SetProcessDefaultLayout (Ia32Thread *thread)
{
  return FALSE;
}


/* SetProcessWindowStation ordinal = 2195, argument = 4 */
static gboolean user32_SetProcessWindowStation (Ia32Thread *thread)
{
  return FALSE;
}


/* SetProgmanWindow ordinal = 2196, argument = 0 */
static gboolean user32_SetProgmanWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* SetPropA ordinal = 2197, argument = 12 */
static gboolean user32_SetPropA (Ia32Thread *thread)
{
  return FALSE;
}


/* SetPropW ordinal = 2198, argument = 12 */
static gboolean user32_SetPropW (Ia32Thread *thread)
{
  return FALSE;
}


/* SetRect ordinal = 2199, argument = 20 */
static gboolean user32_SetRect (Ia32Thread *thread)
{
  return FALSE;
}


/* SetRectEmpty ordinal = 2200, argument = 4 */
static gboolean user32_SetRectEmpty (Ia32Thread *thread)
{
  return FALSE;
}


/* SetScrollInfo ordinal = 2201, argument = 16 */
static gboolean user32_SetScrollInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* SetScrollPos ordinal = 2202, argument = 16 */
static gboolean user32_SetScrollPos (Ia32Thread *thread)
{
  return FALSE;
}


/* SetScrollRange ordinal = 2203, argument = 20 */
static gboolean user32_SetScrollRange (Ia32Thread *thread)
{
  return FALSE;
}


/* SetShellWindow ordinal = 2204, argument = 4 */
static gboolean user32_SetShellWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* SetShellWindowEx ordinal = 2205, argument = 0 */
static gboolean user32_SetShellWindowEx (Ia32Thread *thread)
{
  return FALSE;
}


/* SetSysColors ordinal = 2206, argument = 12 */
static gboolean user32_SetSysColors (Ia32Thread *thread)
{
  return FALSE;
}


/* SetSysColorsTemp ordinal = 2207, argument = 0 */
static gboolean user32_SetSysColorsTemp (Ia32Thread *thread)
{
  return FALSE;
}


/* SetSystemCursor ordinal = 2208, argument = 8 */
static gboolean user32_SetSystemCursor (Ia32Thread *thread)
{
  return FALSE;
}


/* SetSystemMenu ordinal = 2209, argument = 8 */
static gboolean user32_SetSystemMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* SetTaskmanWindow ordinal = 2210, argument = 0 */
static gboolean user32_SetTaskmanWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* SetThreadDesktop ordinal = 2211, argument = 4 */
static gboolean user32_SetThreadDesktop (Ia32Thread *thread)
{
  return FALSE;
}


/* SetTimer ordinal = 2212, argument = 16 */
static gboolean user32_SetTimer (Ia32Thread *thread)
{
  return FALSE;
}


/* SetUserObjectInformationA ordinal = 2213, argument = 16 */
static gboolean user32_SetUserObjectInformationA (Ia32Thread *thread)
{
  return FALSE;
}


/* SetUserObjectInformationW ordinal = 2214, argument = 16 */
static gboolean user32_SetUserObjectInformationW (Ia32Thread *thread)
{
  return FALSE;
}


/* SetUserObjectSecurity ordinal = 2215, argument = 12 */
static gboolean user32_SetUserObjectSecurity (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWinEventHook ordinal = 2216, argument = 28 */
static gboolean user32_SetWinEventHook (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowCompositionAttribute ordinal = 2217, argument = 0 */
static gboolean user32_SetWindowCompositionAttribute (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowContextHelpId ordinal = 2218, argument = 8 */
static gboolean user32_SetWindowContextHelpId (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowDisplayAffinity ordinal = 2219, argument = 0 */
static gboolean user32_SetWindowDisplayAffinity (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowLongA ordinal = 2220, argument = 12 */
static gboolean user32_SetWindowLongA (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowLongW ordinal = 2221, argument = 12 */
static gboolean user32_SetWindowLongW (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowPlacement ordinal = 2222, argument = 8 */
static gboolean user32_SetWindowPlacement (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowPos ordinal = 2223, argument = 28 */
static gboolean user32_SetWindowPos (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowRgn ordinal = 2224, argument = 12 */
static gboolean user32_SetWindowRgn (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowRgnEx ordinal = 2225, argument = 0 */
static gboolean user32_SetWindowRgnEx (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowStationUser ordinal = 2226, argument = 0 */
static gboolean user32_SetWindowStationUser (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowTextA ordinal = 2227, argument = 8 */
static gboolean user32_SetWindowTextA (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowTextW ordinal = 2228, argument = 8 */
static gboolean user32_SetWindowTextW (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowWord ordinal = 2229, argument = 12 */
static gboolean user32_SetWindowWord (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowsHookA ordinal = 2230, argument = 8 */
static gboolean user32_SetWindowsHookA (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowsHookExA ordinal = 2231, argument = 16 */
static gboolean user32_SetWindowsHookExA (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowsHookExW ordinal = 2232, argument = 16 */
static gboolean user32_SetWindowsHookExW (Ia32Thread *thread)
{
  return FALSE;
}


/* SetWindowsHookW ordinal = 2233, argument = 8 */
static gboolean user32_SetWindowsHookW (Ia32Thread *thread)
{
  return FALSE;
}


/* SfmDxBindSwapChain ordinal = 2234, argument = 0 */
static gboolean user32_SfmDxBindSwapChain (Ia32Thread *thread)
{
  return FALSE;
}


/* SfmDxGetSwapChainStats ordinal = 2235, argument = 0 */
static gboolean user32_SfmDxGetSwapChainStats (Ia32Thread *thread)
{
  return FALSE;
}


/* SfmDxOpenSwapChain ordinal = 2236, argument = 0 */
static gboolean user32_SfmDxOpenSwapChain (Ia32Thread *thread)
{
  return FALSE;
}


/* SfmDxQuerySwapChainBindingStatus ordinal = 2237, argument = 0 */
static gboolean user32_SfmDxQuerySwapChainBindingStatus (Ia32Thread *thread)
{
  return FALSE;
}


/* SfmDxReleaseSwapChain ordinal = 2238, argument = 0 */
static gboolean user32_SfmDxReleaseSwapChain (Ia32Thread *thread)
{
  return FALSE;
}


/* SfmDxReportPendingBindingsToDwm ordinal = 2239, argument = 0 */
static gboolean user32_SfmDxReportPendingBindingsToDwm (Ia32Thread *thread)
{
  return FALSE;
}


/* SfmDxSetSwapChainBindingStatus ordinal = 2240, argument = 0 */
static gboolean user32_SfmDxSetSwapChainBindingStatus (Ia32Thread *thread)
{
  return FALSE;
}


/* SfmDxSetSwapChainStats ordinal = 2241, argument = 0 */
static gboolean user32_SfmDxSetSwapChainStats (Ia32Thread *thread)
{
  return FALSE;
}


/* ShowCaret ordinal = 2242, argument = 4 */
static gboolean user32_ShowCaret (Ia32Thread *thread)
{
  return FALSE;
}


/* ShowCursor ordinal = 2243, argument = 4 */
static gboolean user32_ShowCursor (Ia32Thread *thread)
{
  return FALSE;
}


/* ShowOwnedPopups ordinal = 2244, argument = 8 */
static gboolean user32_ShowOwnedPopups (Ia32Thread *thread)
{
  return FALSE;
}


/* ShowScrollBar ordinal = 2245, argument = 12 */
static gboolean user32_ShowScrollBar (Ia32Thread *thread)
{
  return FALSE;
}


/* ShowStartGlass ordinal = 2246, argument = 0 */
static gboolean user32_ShowStartGlass (Ia32Thread *thread)
{
  return FALSE;
}


/* ShowSystemCursor ordinal = 2247, argument = 0 */
static gboolean user32_ShowSystemCursor (Ia32Thread *thread)
{
  return FALSE;
}


/* ShowWindow ordinal = 2248, argument = 8 */
static gboolean user32_ShowWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* ShowWindowAsync ordinal = 2249, argument = 8 */
static gboolean user32_ShowWindowAsync (Ia32Thread *thread)
{
  return FALSE;
}


/* ShutdownBlockReasonCreate ordinal = 2250, argument = 0 */
static gboolean user32_ShutdownBlockReasonCreate (Ia32Thread *thread)
{
  return FALSE;
}


/* ShutdownBlockReasonDestroy ordinal = 2251, argument = 0 */
static gboolean user32_ShutdownBlockReasonDestroy (Ia32Thread *thread)
{
  return FALSE;
}


/* ShutdownBlockReasonQuery ordinal = 2252, argument = 0 */
static gboolean user32_ShutdownBlockReasonQuery (Ia32Thread *thread)
{
  return FALSE;
}


/* SoftModalMessageBox ordinal = 2253, argument = 0 */
static gboolean user32_SoftModalMessageBox (Ia32Thread *thread)
{
  return FALSE;
}


/* SoundSentry ordinal = 2254, argument = 0 */
static gboolean user32_SoundSentry (Ia32Thread *thread)
{
  return FALSE;
}


/* SubtractRect ordinal = 2255, argument = 12 */
static gboolean user32_SubtractRect (Ia32Thread *thread)
{
  return FALSE;
}


/* SwapMouseButton ordinal = 2256, argument = 4 */
static gboolean user32_SwapMouseButton (Ia32Thread *thread)
{
  return FALSE;
}


/* SwitchDesktop ordinal = 2257, argument = 4 */
static gboolean user32_SwitchDesktop (Ia32Thread *thread)
{
  return FALSE;
}


/* SwitchDesktopWithFade ordinal = 2258, argument = 0 */
static gboolean user32_SwitchDesktopWithFade (Ia32Thread *thread)
{
  return FALSE;
}


/* SwitchToThisWindow ordinal = 2259, argument = 0 */
static gboolean user32_SwitchToThisWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* SystemParametersInfoA ordinal = 2260, argument = 16 */
static gboolean user32_SystemParametersInfoA (Ia32Thread *thread)
{
  return FALSE;
}


/* SystemParametersInfoW ordinal = 2261, argument = 16 */
static gboolean user32_SystemParametersInfoW (Ia32Thread *thread)
{
  return FALSE;
}


/* TabbedTextOutA ordinal = 2262, argument = 32 */
static gboolean user32_TabbedTextOutA (Ia32Thread *thread)
{
  return FALSE;
}


/* TabbedTextOutW ordinal = 2263, argument = 32 */
static gboolean user32_TabbedTextOutW (Ia32Thread *thread)
{
  return FALSE;
}


/* TileChildWindows ordinal = 2264, argument = 8 */
static gboolean user32_TileChildWindows (Ia32Thread *thread)
{
  return FALSE;
}


/* TileWindows ordinal = 2265, argument = 20 */
static gboolean user32_TileWindows (Ia32Thread *thread)
{
  return FALSE;
}


/* ToAscii ordinal = 2266, argument = 20 */
static gboolean user32_ToAscii (Ia32Thread *thread)
{
  return FALSE;
}


/* ToAsciiEx ordinal = 2267, argument = 24 */
static gboolean user32_ToAsciiEx (Ia32Thread *thread)
{
  return FALSE;
}


/* ToUnicode ordinal = 2268, argument = 24 */
static gboolean user32_ToUnicode (Ia32Thread *thread)
{
  return FALSE;
}


/* ToUnicodeEx ordinal = 2269, argument = 28 */
static gboolean user32_ToUnicodeEx (Ia32Thread *thread)
{
  return FALSE;
}


/* TrackMouseEvent ordinal = 2270, argument = 4 */
static gboolean user32_TrackMouseEvent (Ia32Thread *thread)
{
  return FALSE;
}


/* TrackPopupMenu ordinal = 2271, argument = 28 */
static gboolean user32_TrackPopupMenu (Ia32Thread *thread)
{
  return FALSE;
}


/* TrackPopupMenuEx ordinal = 2272, argument = 24 */
static gboolean user32_TrackPopupMenuEx (Ia32Thread *thread)
{
  return FALSE;
}


/* TranslateAccelerator ordinal = 2273, argument = 12 */
/* static gboolean user32_TranslateAccelerator (Ia32Thread *thread) */


/* TranslateAcceleratorA ordinal = 2274, argument = 12 */
static gboolean user32_TranslateAcceleratorA (Ia32Thread *thread)
{
  return FALSE;
}


/* TranslateAcceleratorW ordinal = 2275, argument = 12 */
static gboolean user32_TranslateAcceleratorW (Ia32Thread *thread)
{
  return FALSE;
}


/* TranslateMDISysAccel ordinal = 2276, argument = 8 */
static gboolean user32_TranslateMDISysAccel (Ia32Thread *thread)
{
  return FALSE;
}


/* TranslateMessage ordinal = 2277, argument = 4 */
static gboolean user32_TranslateMessage (Ia32Thread *thread)
{
  return FALSE;
}


/* TranslateMessageEx ordinal = 2278, argument = 0 */
static gboolean user32_TranslateMessageEx (Ia32Thread *thread)
{
  return FALSE;
}


/* UnhookWinEvent ordinal = 2279, argument = 4 */
static gboolean user32_UnhookWinEvent (Ia32Thread *thread)
{
  return FALSE;
}


/* UnhookWindowsHook ordinal = 2280, argument = 8 */
static gboolean user32_UnhookWindowsHook (Ia32Thread *thread)
{
  return FALSE;
}


/* UnhookWindowsHookEx ordinal = 2281, argument = 4 */
static gboolean user32_UnhookWindowsHookEx (Ia32Thread *thread)
{
  return FALSE;
}


/* UnionRect ordinal = 2282, argument = 12 */
static gboolean user32_UnionRect (Ia32Thread *thread)
{
  return FALSE;
}


/* UnloadKeyboardLayout ordinal = 2283, argument = 4 */
static gboolean user32_UnloadKeyboardLayout (Ia32Thread *thread)
{
  return FALSE;
}


/* UnlockWindowStation ordinal = 2284, argument = 0 */
static gboolean user32_UnlockWindowStation (Ia32Thread *thread)
{
  return FALSE;
}


/* UnpackDDElParam ordinal = 2285, argument = 16 */
static gboolean user32_UnpackDDElParam (Ia32Thread *thread)
{
  return FALSE;
}


/* UnregisterClassA ordinal = 2286, argument = 8 */
static gboolean user32_UnregisterClassA (Ia32Thread *thread)
{
  return FALSE;
}


/* UnregisterClassW ordinal = 2287, argument = 8 */
static gboolean user32_UnregisterClassW (Ia32Thread *thread)
{
  return FALSE;
}


/* UnregisterDeviceNotification ordinal = 2288, argument = 4 */
static gboolean user32_UnregisterDeviceNotification (Ia32Thread *thread)
{
  return FALSE;
}


/* UnregisterHotKey ordinal = 2289, argument = 8 */
static gboolean user32_UnregisterHotKey (Ia32Thread *thread)
{
  return FALSE;
}


/* UnregisterMessagePumpHook ordinal = 2290, argument = 0 */
static gboolean user32_UnregisterMessagePumpHook (Ia32Thread *thread)
{
  return FALSE;
}


/* UnregisterPowerSettingNotification ordinal = 2291, argument = 0 */
static gboolean user32_UnregisterPowerSettingNotification (Ia32Thread *thread)
{
  return FALSE;
}


/* UnregisterSessionPort ordinal = 2292, argument = 0 */
static gboolean user32_UnregisterSessionPort (Ia32Thread *thread)
{
  return FALSE;
}


/* UnregisterTouchWindow ordinal = 2293, argument = 0 */
static gboolean user32_UnregisterTouchWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* UnregisterUserApiHook ordinal = 2294, argument = 0 */
static gboolean user32_UnregisterUserApiHook (Ia32Thread *thread)
{
  return FALSE;
}


/* UpdateLayeredWindow ordinal = 2295, argument = 36 */
static gboolean user32_UpdateLayeredWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* UpdateLayeredWindowIndirect ordinal = 2296, argument = 0 */
static gboolean user32_UpdateLayeredWindowIndirect (Ia32Thread *thread)
{
  return FALSE;
}


/* UpdatePerUserSystemParameters ordinal = 2297, argument = 0 */
static gboolean user32_UpdatePerUserSystemParameters (Ia32Thread *thread)
{
  return FALSE;
}


/* UpdateWindow ordinal = 2298, argument = 4 */
static gboolean user32_UpdateWindow (Ia32Thread *thread)
{
  return FALSE;
}


/* UpdateWindowTransform ordinal = 2299, argument = 0 */
static gboolean user32_UpdateWindowTransform (Ia32Thread *thread)
{
  return FALSE;
}


/* User32InitializeImmEntryTable ordinal = 2300, argument = 0 */
static gboolean user32_User32InitializeImmEntryTable (Ia32Thread *thread)
{
  return FALSE;
}


/* UserClientDllInitialize ordinal = 2301, argument = 0 */
static gboolean user32_UserClientDllInitialize (Ia32Thread *thread)
{
  return FALSE;
}


/* UserHandleGrantAccess ordinal = 2302, argument = 12 */
static gboolean user32_UserHandleGrantAccess (Ia32Thread *thread)
{
  return FALSE;
}


/* UserLpkPSMTextOut ordinal = 2303, argument = 0 */
static gboolean user32_UserLpkPSMTextOut (Ia32Thread *thread)
{
  return FALSE;
}


/* UserLpkTabbedTextOut ordinal = 2304, argument = 0 */
static gboolean user32_UserLpkTabbedTextOut (Ia32Thread *thread)
{
  return FALSE;
}


/* UserRealizePalette ordinal = 2305, argument = 0 */
static gboolean user32_UserRealizePalette (Ia32Thread *thread)
{
  return FALSE;
}


/* UserRegisterWowHandlers ordinal = 2306, argument = 0 */
static gboolean user32_UserRegisterWowHandlers (Ia32Thread *thread)
{
  return FALSE;
}


/* VRipOutput ordinal = 2307, argument = 0 */
static gboolean user32_VRipOutput (Ia32Thread *thread)
{
  return FALSE;
}


/* VTagOutput ordinal = 2308, argument = 0 */
static gboolean user32_VTagOutput (Ia32Thread *thread)
{
  return FALSE;
}


/* ValidateRect ordinal = 2309, argument = 8 */
static gboolean user32_ValidateRect (Ia32Thread *thread)
{
  return FALSE;
}


/* ValidateRgn ordinal = 2310, argument = 8 */
static gboolean user32_ValidateRgn (Ia32Thread *thread)
{
  return FALSE;
}


/* VkKeyScanA ordinal = 2311, argument = 4 */
static gboolean user32_VkKeyScanA (Ia32Thread *thread)
{
  return FALSE;
}


/* VkKeyScanExA ordinal = 2312, argument = 8 */
static gboolean user32_VkKeyScanExA (Ia32Thread *thread)
{
  return FALSE;
}


/* VkKeyScanExW ordinal = 2313, argument = 8 */
static gboolean user32_VkKeyScanExW (Ia32Thread *thread)
{
  return FALSE;
}


/* VkKeyScanW ordinal = 2314, argument = 4 */
static gboolean user32_VkKeyScanW (Ia32Thread *thread)
{
  return FALSE;
}


/* WCSToMBEx ordinal = 2315, argument = 0 */
static gboolean user32_WCSToMBEx (Ia32Thread *thread)
{
  return FALSE;
}


/* WINNLSEnableIME ordinal = 2316, argument = 8 */
static gboolean user32_WINNLSEnableIME (Ia32Thread *thread)
{
  return FALSE;
}


/* WINNLSGetEnableStatus ordinal = 2317, argument = 4 */
static gboolean user32_WINNLSGetEnableStatus (Ia32Thread *thread)
{
  return FALSE;
}


/* WINNLSGetIMEHotkey ordinal = 2318, argument = 4 */
static gboolean user32_WINNLSGetIMEHotkey (Ia32Thread *thread)
{
  return FALSE;
}


/* WaitForInputIdle ordinal = 2319, argument = 8 */
static gboolean user32_WaitForInputIdle (Ia32Thread *thread)
{
  return FALSE;
}


/* WaitMessage ordinal = 2320, argument = 0 */
static gboolean user32_WaitMessage (Ia32Thread *thread)
{
  return FALSE;
}


/* WinHelpA ordinal = 2321, argument = 16 */
static gboolean user32_WinHelpA (Ia32Thread *thread)
{
  return FALSE;
}


/* WinHelpW ordinal = 2322, argument = 16 */
static gboolean user32_WinHelpW (Ia32Thread *thread)
{
  return FALSE;
}


/* WindowFromDC ordinal = 2323, argument = 4 */
static gboolean user32_WindowFromDC (Ia32Thread *thread)
{
  return FALSE;
}


/* WindowFromPhysicalPoint ordinal = 2324, argument = 0 */
static gboolean user32_WindowFromPhysicalPoint (Ia32Thread *thread)
{
  return FALSE;
}


/* WindowFromPoint ordinal = 2325, argument = 8 */
static gboolean user32_WindowFromPoint (Ia32Thread *thread)
{
  return FALSE;
}


/* _UserTestTokenForInteractive ordinal = 2326, argument = 0 */
static gboolean user32__UserTestTokenForInteractive (Ia32Thread *thread)
{
  return FALSE;
}


/* gSharedInfo ordinal = 2327, argument = 0 */
static gboolean user32_gSharedInfo (Ia32Thread *thread)
{
  return FALSE;
}


/* gapfnScSendMessage ordinal = 2328, argument = 0 */
static gboolean user32_gapfnScSendMessage (Ia32Thread *thread)
{
  return FALSE;
}


/* keybd_event ordinal = 2329, argument = 16 */
static gboolean user32_keybd_event (Ia32Thread *thread)
{
  return FALSE;
}


/* mouse_event ordinal = 2330, argument = 20 */
static gboolean user32_mouse_event (Ia32Thread *thread)
{
  return FALSE;
}


/* wsprintfA ordinal = 2331, argument = 0 */
static gboolean user32_wsprintfA (Ia32Thread *thread)
{
  return FALSE;
}


/* wsprintfW ordinal = 2332, argument = 0 */
static gboolean user32_wsprintfW (Ia32Thread *thread)
{
  return FALSE;
}


/* wvsprintfA ordinal = 2333, argument = 12 */
static gboolean user32_wvsprintfA (Ia32Thread *thread)
{
  return FALSE;
}


/* wvsprintfW ordinal = 2334, argument = 12 */
static gboolean user32_wvsprintfW (Ia32Thread *thread)
{
  return FALSE;
}


Ia32Export ia32_user32_exports[] = {
{ 8, 1502, "ActivateKeyboardLayout",               user32_ActivateKeyboardLayout},
{ 0, 1503, "AddClipboardFormatListener",           user32_AddClipboardFormatListener},
{12, 1504, "AdjustWindowRect",                     user32_AdjustWindowRect},
{16, 1505, "AdjustWindowRectEx",                   user32_AdjustWindowRectEx},
{ 0, 1506, "AlignRects",                           user32_AlignRects},
{ 0, 1507, "AllowForegroundActivation",            user32_AllowForegroundActivation},
{ 4, 1508, "AllowSetForegroundWindow",             user32_AllowSetForegroundWindow},
{12, 1509, "AnimateWindow",                        user32_AnimateWindow},
{ 0, 1510, "AnyPopup",                             user32_AnyPopup},
{16, 1511, "AppendMenuA",                          user32_AppendMenuA},
{16, 1512, "AppendMenuW",                          user32_AppendMenuW},
{ 4, 1513, "ArrangeIconicWindows",                 user32_ArrangeIconicWindows},
{12, 1514, "AttachThreadInput",                    user32_AttachThreadInput},
{ 4, 1515, "BeginDeferWindowPos",                  user32_BeginDeferWindowPos},
{ 8, 1516, "BeginPaint",                           user32_BeginPaint},
{ 4, 1517, "BlockInput",                           user32_BlockInput},
{ 4, 1518, "BringWindowToTop",                     user32_BringWindowToTop},
{20, 1519, "BroadcastSystemMessage",               user32_BroadcastSystemMessageA},
{20, 1520, "BroadcastSystemMessageA",              user32_BroadcastSystemMessageA},
{ 0, 1521, "BroadcastSystemMessageExA",            user32_BroadcastSystemMessageExA},
{ 0, 1522, "BroadcastSystemMessageExW",            user32_BroadcastSystemMessageExW},
{20, 1523, "BroadcastSystemMessageW",              user32_BroadcastSystemMessageW},
{ 0, 1524, "BuildReasonArray",                     user32_BuildReasonArray},
{ 0, 1525, "CalcMenuBar",                          user32_CalcMenuBar},
{ 0, 1526, "CalculatePopupWindowPosition",         user32_CalculatePopupWindowPosition},
{ 8, 1527, "CallMsgFilter",                        user32_CallMsgFilterA},
{ 8, 1528, "CallMsgFilterA",                       user32_CallMsgFilterA},
{ 8, 1529, "CallMsgFilterW",                       user32_CallMsgFilterW},
{16, 1530, "CallNextHookEx",                       user32_CallNextHookEx},
{20, 1531, "CallWindowProcA",                      user32_CallWindowProcA},
{20, 1532, "CallWindowProcW",                      user32_CallWindowProcW},
{ 0, 1533, "CancelShutdown",                       user32_CancelShutdown},
{ 8, 1534, "CascadeChildWindows",                  user32_CascadeChildWindows},
{20, 1535, "CascadeWindows",                       user32_CascadeWindows},
{ 8, 1536, "ChangeClipboardChain",                 user32_ChangeClipboardChain},
{ 8, 1537, "ChangeDisplaySettingsA",               user32_ChangeDisplaySettingsA},
{20, 1538, "ChangeDisplaySettingsExA",             user32_ChangeDisplaySettingsExA},
{20, 1539, "ChangeDisplaySettingsExW",             user32_ChangeDisplaySettingsExW},
{ 8, 1540, "ChangeDisplaySettingsW",               user32_ChangeDisplaySettingsW},
{20, 1541, "ChangeMenuA",                          user32_ChangeMenuA},
{20, 1542, "ChangeMenuW",                          user32_ChangeMenuW},
{ 0, 1543, "ChangeWindowMessageFilter",            user32_ChangeWindowMessageFilter},
{ 0, 1544, "ChangeWindowMessageFilterEx",          user32_ChangeWindowMessageFilterEx},
{ 4, 1545, "CharLowerA",                           user32_CharLowerA},
{ 8, 1546, "CharLowerBuffA",                       user32_CharLowerBuffA},
{ 8, 1547, "CharLowerBuffW",                       user32_CharLowerBuffW},
{ 4, 1548, "CharLowerW",                           user32_CharLowerW},
{ 4, 1549, "CharNextA",                            user32_CharNextA},
{12, 1557, "CharNextExA",                          user32_CharNextExA},
{ 4, 1558, "CharNextW",                            user32_CharNextW},
{ 8, 1559, "CharPrevA",                            user32_CharPrevA},
{16, 1560, "CharPrevExA",                          user32_CharPrevExA},
{ 8, 1561, "CharPrevW",                            user32_CharPrevW},
{ 8, 1562, "CharToOemA",                           user32_CharToOemA},
{12, 1563, "CharToOemBuffA",                       user32_CharToOemBuffA},
{12, 1564, "CharToOemBuffW",                       user32_CharToOemBuffW},
{ 8, 1565, "CharToOemW",                           user32_CharToOemW},
{ 4, 1566, "CharUpperA",                           user32_CharUpperA},
{ 8, 1567, "CharUpperBuffA",                       user32_CharUpperBuffA},
{ 8, 1568, "CharUpperBuffW",                       user32_CharUpperBuffW},
{ 4, 1569, "CharUpperW",                           user32_CharUpperW},
{ 0, 1570, "CheckDesktopByThreadId",               user32_CheckDesktopByThreadId},
{12, 1571, "CheckDlgButton",                       user32_CheckDlgButton},
{12, 1572, "CheckMenuItem",                        user32_CheckMenuItem},
{20, 1573, "CheckMenuRadioItem",                   user32_CheckMenuRadioItem},
{16, 1574, "CheckRadioButton",                     user32_CheckRadioButton},
{ 0, 1575, "CheckWindowThreadDesktop",             user32_CheckWindowThreadDesktop},
{12, 1576, "ChildWindowFromPoint",                 user32_ChildWindowFromPoint},
{16, 1577, "ChildWindowFromPointEx",               user32_ChildWindowFromPointEx},
{ 0, 1578, "CliImmSetHotKey",                      user32_CliImmSetHotKey},
{ 0, 1579, "ClientThreadSetup",                    user32_ClientThreadSetup},
{ 8, 1580, "ClientToScreen",                       user32_ClientToScreen},
{ 4, 1581, "ClipCursor",                           user32_ClipCursor},
{ 0, 1582, "CloseClipboard",                       user32_CloseClipboard},
{ 4, 1583, "CloseDesktop",                         user32_CloseDesktop},
{ 0, 1584, "CloseGestureInfoHandle",               user32_CloseGestureInfoHandle},
{ 0, 1585, "CloseTouchInputHandle",                user32_CloseTouchInputHandle},
{ 4, 1586, "CloseWindow",                          user32_CloseWindow},
{ 4, 1587, "CloseWindowStation",                   user32_CloseWindowStation},
{ 0, 1588, "ConsoleControl",                       user32_ConsoleControl},
{ 0, 1589, "ControlMagnification",                 user32_ControlMagnification},
{12, 1590, "CopyAcceleratorTableA",                user32_CopyAcceleratorTableA},
{12, 1591, "CopyAcceleratorTableW",                user32_CopyAcceleratorTableW},
{ 4, 1592, "CopyIcon",                             user32_CopyIcon},
{20, 1593, "CopyImage",                            user32_CopyImage},
{ 8, 1594, "CopyRect",                             user32_CopyRect},
{ 0, 1595, "CountClipboardFormats",                user32_CountClipboardFormats},
{ 8, 1596, "CreateAcceleratorTableA",              user32_CreateAcceleratorTableA},
{ 8, 1597, "CreateAcceleratorTableW",              user32_CreateAcceleratorTableW},
{16, 1598, "CreateCaret",                          user32_CreateCaret},
{28, 1599, "CreateCursor",                         user32_CreateCursor},
{24, 1600, "CreateDesktopA",                       user32_CreateDesktopA},
{ 0, 1601, "CreateDesktopExA",                     user32_CreateDesktopExA},
{ 0, 1602, "CreateDesktopExW",                     user32_CreateDesktopExW},
{24, 1603, "CreateDesktopW",                       user32_CreateDesktopW},
{20, 1604, "CreateDialogIndirectParamA",           user32_CreateDialogIndirectParamA},
{ 0, 1605, "CreateDialogIndirectParamAorW",        user32_CreateDialogIndirectParamAorW},
{20, 1606, "CreateDialogIndirectParamW",           user32_CreateDialogIndirectParamW},
{20, 1607, "CreateDialogParamA",                   user32_CreateDialogParamA},
{20, 1608, "CreateDialogParamW",                   user32_CreateDialogParamW},
{28, 1609, "CreateIcon",                           user32_CreateIcon},
{16, 1610, "CreateIconFromResource",               user32_CreateIconFromResource},
{28, 1611, "CreateIconFromResourceEx",             user32_CreateIconFromResourceEx},
{ 4, 1612, "CreateIconIndirect",                   user32_CreateIconIndirect},
{40, 1613, "CreateMDIWindowA",                     user32_CreateMDIWindowA},
{40, 1614, "CreateMDIWindowW",                     user32_CreateMDIWindowW},
{ 0, 1615, "CreateMenu",                           user32_CreateMenu},
{ 0, 1616, "CreatePopupMenu",                      user32_CreatePopupMenu},
{ 0, 1617, "CreateSystemThreads",                  user32_CreateSystemThreads},
{48, 1618, "CreateWindowExA",                      user32_CreateWindowExA},
{48, 1619, "CreateWindowExW",                      user32_CreateWindowExW},
{16, 1620, "CreateWindowStationA",                 user32_CreateWindowStationA},
{16, 1621, "CreateWindowStationW",                 user32_CreateWindowStationW},
{ 0, 1622, "CsrBroadcastSystemMessageExW",         user32_CsrBroadcastSystemMessageExW},
{ 0, 1623, "CtxInitUser32",                        user32_CtxInitUser32},
{12, 1624, "DdeAbandonTransaction",                user32_DdeAbandonTransaction},
{ 8, 1625, "DdeAccessData",                        user32_DdeAccessData},
{16, 1626, "DdeAddData",                           user32_DdeAddData},
{32, 1627, "DdeClientTransaction",                 user32_DdeClientTransaction},
{ 8, 1628, "DdeCmpStringHandles",                  user32_DdeCmpStringHandles},
{16, 1629, "DdeConnect",                           user32_DdeConnect},
{20, 1630, "DdeConnectList",                       user32_DdeConnectList},
{28, 1631, "DdeCreateDataHandle",                  user32_DdeCreateDataHandle},
{12, 1632, "DdeCreateStringHandleA",               user32_DdeCreateStringHandleA},
{12, 1633, "DdeCreateStringHandleW",               user32_DdeCreateStringHandleW},
{ 4, 1634, "DdeDisconnect",                        user32_DdeDisconnect},
{ 4, 1635, "DdeDisconnectList",                    user32_DdeDisconnectList},
{12, 1636, "DdeEnableCallback",                    user32_DdeEnableCallback},
{ 4, 1637, "DdeFreeDataHandle",                    user32_DdeFreeDataHandle},
{ 8, 1638, "DdeFreeStringHandle",                  user32_DdeFreeStringHandle},
{16, 1639, "DdeGetData",                           user32_DdeGetData},
{ 4, 1640, "DdeGetLastError",                      user32_DdeGetLastError},
{12, 1641, "DdeGetQualityOfService",               user32_DdeGetQualityOfService},
{ 4, 1642, "DdeImpersonateClient",                 user32_DdeImpersonateClient},
{16, 1643, "DdeInitializeA",                       user32_DdeInitializeA},
{16, 1644, "DdeInitializeW",                       user32_DdeInitializeW},
{ 8, 1645, "DdeKeepStringHandle",                  user32_DdeKeepStringHandle},
{16, 1646, "DdeNameService",                       user32_DdeNameService},
{12, 1647, "DdePostAdvise",                        user32_DdePostAdvise},
{12, 1648, "DdeQueryConvInfo",                     user32_DdeQueryConvInfo},
{ 8, 1649, "DdeQueryNextServer",                   user32_DdeQueryNextServer},
{20, 1650, "DdeQueryStringA",                      user32_DdeQueryStringA},
{20, 1651, "DdeQueryStringW",                      user32_DdeQueryStringW},
{ 4, 1652, "DdeReconnect",                         user32_DdeReconnect},
{12, 1653, "DdeSetQualityOfService",               user32_DdeSetQualityOfService},
{12, 1654, "DdeSetUserHandle",                     user32_DdeSetUserHandle},
{ 4, 1655, "DdeUnaccessData",                      user32_DdeUnaccessData},
{ 4, 1656, "DdeUninitialize",                      user32_DdeUninitialize},
{16, 1657, "DefDlgProcA",                          user32_DefDlgProcA},
{16, 1658, "DefDlgProcW",                          user32_DefDlgProcW},
{20, 1659, "DefFrameProcA",                        user32_DefFrameProcA},
{20, 1660, "DefFrameProcW",                        user32_DefFrameProcW},
{16, 1661, "DefMDIChildProcA",                     user32_DefMDIChildProcA},
{16, 1662, "DefMDIChildProcW",                     user32_DefMDIChildProcW},
{ 0, 1663, "DefRawInputProc",                      user32_DefRawInputProc},
{16, 1664, "DefWindowProcA",                       user32_DefWindowProcA},
{16, 1665, "DefWindowProcW",                       user32_DefWindowProcW},
{32, 1666, "DeferWindowPos",                       user32_DeferWindowPos},
{12, 1667, "DeleteMenu",                           user32_DeleteMenu},
{ 0, 1668, "DeregisterShellHookWindow",            user32_DeregisterShellHookWindow},
{ 4, 1669, "DestroyAcceleratorTable",              user32_DestroyAcceleratorTable},
{ 0, 1670, "DestroyCaret",                         user32_DestroyCaret},
{ 4, 1671, "DestroyCursor",                        user32_DestroyCursor},
{ 4, 1672, "DestroyIcon",                          user32_DestroyIcon},
{ 4, 1673, "DestroyMenu",                          user32_DestroyMenu},
{ 0, 1674, "DestroyReasons",                       user32_DestroyReasons},
{ 4, 1675, "DestroyWindow",                        user32_DestroyWindow},
{ 0, 1676, "DeviceEventWorker",                    user32_DeviceEventWorker},
{20, 1677, "DialogBoxIndirectParamA",              user32_DialogBoxIndirectParamA},
{ 0, 1678, "DialogBoxIndirectParamAorW",           user32_DialogBoxIndirectParamAorW},
{20, 1679, "DialogBoxIndirectParamW",              user32_DialogBoxIndirectParamW},
{20, 1680, "DialogBoxParamA",                      user32_DialogBoxParamA},
{20, 1681, "DialogBoxParamW",                      user32_DialogBoxParamW},
{ 0, 1682, "DisableProcessWindowsGhosting",        user32_DisableProcessWindowsGhosting},
{ 4, 1683, "DispatchMessageA",                     user32_DispatchMessageA},
{ 4, 1684, "DispatchMessageW",                     user32_DispatchMessageW},
{ 0, 1685, "DisplayConfigGetDeviceInfo",           user32_DisplayConfigGetDeviceInfo},
{ 0, 1686, "DisplayConfigSetDeviceInfo",           user32_DisplayConfigSetDeviceInfo},
{ 0, 1687, "DisplayExitWindowsWarnings",           user32_DisplayExitWindowsWarnings},
{20, 1688, "DlgDirListA",                          user32_DlgDirListA},
{20, 1689, "DlgDirListComboBoxA",                  user32_DlgDirListComboBoxA},
{20, 1690, "DlgDirListComboBoxW",                  user32_DlgDirListComboBoxW},
{20, 1691, "DlgDirListW",                          user32_DlgDirListW},
{16, 1692, "DlgDirSelectComboBoxExA",              user32_DlgDirSelectComboBoxExA},
{16, 1693, "DlgDirSelectComboBoxExW",              user32_DlgDirSelectComboBoxExW},
{16, 1694, "DlgDirSelectExA",                      user32_DlgDirSelectExA},
{16, 1695, "DlgDirSelectExW",                      user32_DlgDirSelectExW},
{ 0, 1696, "DoSoundConnect",                       user32_DoSoundConnect},
{ 0, 1697, "DoSoundDisconnect",                    user32_DoSoundDisconnect},
{12, 1698, "DragDetect",                           user32_DragDetect},
{20, 1699, "DragObject",                           user32_DragObject},
{16, 1700, "DrawAnimatedRects",                    user32_DrawAnimatedRects},
{16, 1701, "DrawCaption",                          user32_DrawCaption},
{ 0, 1702, "DrawCaptionTempA",                     user32_DrawCaptionTempA},
{ 0, 1703, "DrawCaptionTempW",                     user32_DrawCaptionTempW},
{16, 1704, "DrawEdge",                             user32_DrawEdge},
{ 8, 1705, "DrawFocusRect",                        user32_DrawFocusRect},
{16, 1706, "DrawFrame",                            user32_DrawFrame},
{16, 1707, "DrawFrameControl",                     user32_DrawFrameControl},
{16, 1708, "DrawIcon",                             user32_DrawIcon},
{36, 1709, "DrawIconEx",                           user32_DrawIconEx},
{ 4, 1710, "DrawMenuBar",                          user32_DrawMenuBar},
{ 0, 1711, "DrawMenuBarTemp",                      user32_DrawMenuBarTemp},
{40, 1712, "DrawStateA",                           user32_DrawStateA},
{40, 1713, "DrawStateW",                           user32_DrawStateW},
{20, 1714, "DrawTextA",                            user32_DrawTextA},
{24, 1715, "DrawTextExA",                          user32_DrawTextExA},
{24, 1716, "DrawTextExW",                          user32_DrawTextExW},
{20, 1717, "DrawTextW",                            user32_DrawTextW},
{ 0, 1718, "DwmGetDxSharedSurface",                user32_DwmGetDxSharedSurface},
{ 0, 1719, "DwmStartRedirection",                  user32_DwmStartRedirection},
{ 0, 1720, "DwmStopRedirection",                   user32_DwmStopRedirection},
{16, 1721, "EditWndProc",                          user32_EditWndProc},
{ 0, 1722, "EmptyClipboard",                       user32_EmptyClipboard},
{12, 1723, "EnableMenuItem",                       user32_EnableMenuItem},
{12, 1724, "EnableScrollBar",                      user32_EnableScrollBar},
{ 8, 1725, "EnableWindow",                         user32_EnableWindow},
{ 4, 1726, "EndDeferWindowPos",                    user32_EndDeferWindowPos},
{ 8, 1727, "EndDialog",                            user32_EndDialog},
{ 0, 1728, "EndMenu",                              user32_EndMenu},
{ 8, 1729, "EndPaint",                             user32_EndPaint},
{ 0, 1730, "EndTask",                              user32_EndTask},
{ 0, 1731, "EnterReaderModeHelper",                user32_EnterReaderModeHelper},
{12, 1732, "EnumChildWindows",                     user32_EnumChildWindows},
{ 4, 1733, "EnumClipboardFormats",                 user32_EnumClipboardFormats},
{12, 1734, "EnumDesktopWindows",                   user32_EnumDesktopWindows},
{12, 1735, "EnumDesktopsA",                        user32_EnumDesktopsA},
{12, 1736, "EnumDesktopsW",                        user32_EnumDesktopsW},
{ 0, 1737, "EnumDisplayDevicesA",                  user32_EnumDisplayDevicesA},
{ 0, 1738, "EnumDisplayDevicesW",                  user32_EnumDisplayDevicesW},
{16, 1739, "EnumDisplayMonitors",                  user32_EnumDisplayMonitors},
{12, 1740, "EnumDisplaySettingsA",                 user32_EnumDisplaySettingsA},
{16, 1741, "EnumDisplaySettingsExA",               user32_EnumDisplaySettingsExA},
{16, 1742, "EnumDisplaySettingsExW",               user32_EnumDisplaySettingsExW},
{12, 1743, "EnumDisplaySettingsW",                 user32_EnumDisplaySettingsW},
{ 8, 1744, "EnumPropsA",                           user32_EnumPropsA},
{12, 1745, "EnumPropsExA",                         user32_EnumPropsExA},
{12, 1746, "EnumPropsExW",                         user32_EnumPropsExW},
{ 8, 1747, "EnumPropsW",                           user32_EnumPropsW},
{12, 1748, "EnumThreadWindows",                    user32_EnumThreadWindows},
{ 8, 1749, "EnumWindowStationsA",                  user32_EnumWindowStationsA},
{ 8, 1750, "EnumWindowStationsW",                  user32_EnumWindowStationsW},
{ 8, 1751, "EnumWindows",                          user32_EnumWindows},
{ 8, 1752, "EqualRect",                            user32_EqualRect},
{ 8, 1753, "ExcludeUpdateRgn",                     user32_ExcludeUpdateRgn},
{ 8, 1754, "ExitWindowsEx",                        user32_ExitWindowsEx},
{12, 1755, "FillRect",                             user32_FillRect},
{ 8, 1756, "FindWindowA",                          user32_FindWindowA},
{16, 1757, "FindWindowExA",                        user32_FindWindowExA},
{16, 1758, "FindWindowExW",                        user32_FindWindowExW},
{ 8, 1759, "FindWindowW",                          user32_FindWindowW},
{ 8, 1760, "FlashWindow",                          user32_FlashWindow},
{ 4, 1761, "FlashWindowEx",                        user32_FlashWindowEx},
{12, 1762, "FrameRect",                            user32_FrameRect},
{ 8, 1763, "FreeDDElParam",                        user32_FreeDDElParam},
{ 0, 1764, "FrostCrashedWindow",                   user32_FrostCrashedWindow},
{ 0, 1765, "GetActiveWindow",                      user32_GetActiveWindow},
{20, 1766, "GetAltTabInfo",                        user32_GetAltTabInfoA},
{20, 1767, "GetAltTabInfoA",                       user32_GetAltTabInfoA},
{20, 1768, "GetAltTabInfoW",                       user32_GetAltTabInfoW},
{ 8, 1769, "GetAncestor",                          user32_GetAncestor},
{ 0, 1771, "GetAppCompatFlags",                    user32_GetAppCompatFlags},
{ 0, 1770, "GetAppCompatFlags2",                   user32_GetAppCompatFlags2},
{ 4, 1772, "GetAsyncKeyState",                     user32_GetAsyncKeyState},
{ 0, 1773, "GetCapture",                           user32_GetCapture},
{ 0, 1774, "GetCaretBlinkTime",                    user32_GetCaretBlinkTime},
{ 4, 1775, "GetCaretPos",                          user32_GetCaretPos},
{12, 1776, "GetClassInfoA",                        user32_GetClassInfoA},
{12, 1777, "GetClassInfoExA",                      user32_GetClassInfoExA},
{12, 1778, "GetClassInfoExW",                      user32_GetClassInfoExW},
{12, 1779, "GetClassInfoW",                        user32_GetClassInfoW},
{ 8, 1780, "GetClassLongA",                        user32_GetClassLongA},
{ 8, 1781, "GetClassLongW",                        user32_GetClassLongW},
{12, 1782, "GetClassNameA",                        user32_GetClassNameA},
{12, 1783, "GetClassNameW",                        user32_GetClassNameW},
{ 8, 1784, "GetClassWord",                         user32_GetClassWord},
{ 8, 1785, "GetClientRect",                        user32_GetClientRect},
{ 4, 1786, "GetClipCursor",                        user32_GetClipCursor},
{ 4, 1787, "GetClipboardData",                     user32_GetClipboardData},
{12, 1788, "GetClipboardFormatNameA",              user32_GetClipboardFormatNameA},
{12, 1789, "GetClipboardFormatNameW",              user32_GetClipboardFormatNameW},
{ 0, 1790, "GetClipboardOwner",                    user32_GetClipboardOwner},
{ 0, 1791, "GetClipboardSequenceNumber",           user32_GetClipboardSequenceNumber},
{ 0, 1792, "GetClipboardViewer",                   user32_GetClipboardViewer},
{ 8, 1793, "GetComboBoxInfo",                      user32_GetComboBoxInfo},
{ 0, 1794, "GetCursor",                            user32_GetCursor},
{ 0, 1795, "GetCursorFrameInfo",                   user32_GetCursorFrameInfo},
{ 4, 1796, "GetCursorInfo",                        user32_GetCursorInfo},
{ 4, 1797, "GetCursorPos",                         user32_GetCursorPos},
{ 4, 1798, "GetDC",                                user32_GetDC},
{12, 1799, "GetDCEx",                              user32_GetDCEx},
{ 0, 1800, "GetDesktopWindow",                     user32_GetDesktopWindow},
{ 0, 1801, "GetDialogBaseUnits",                   user32_GetDialogBaseUnits},
{ 0, 1802, "GetDisplayConfigBufferSizes",          user32_GetDisplayConfigBufferSizes},
{ 4, 1803, "GetDlgCtrlID",                         user32_GetDlgCtrlID},
{ 8, 1804, "GetDlgItem",                           user32_GetDlgItem},
{16, 1805, "GetDlgItemInt",                        user32_GetDlgItemInt},
{16, 1806, "GetDlgItemTextA",                      user32_GetDlgItemTextA},
{16, 1807, "GetDlgItemTextW",                      user32_GetDlgItemTextW},
{ 0, 1808, "GetDoubleClickTime",                   user32_GetDoubleClickTime},
{ 0, 1809, "GetFocus",                             user32_GetFocus},
{ 0, 1810, "GetForegroundWindow",                  user32_GetForegroundWindow},
{ 8, 1811, "GetGUIThreadInfo",                     user32_GetGUIThreadInfo},
{ 0, 1812, "GetGestureConfig",                     user32_GetGestureConfig},
{ 0, 1813, "GetGestureExtraArgs",                  user32_GetGestureExtraArgs},
{ 0, 1814, "GetGestureInfo",                       user32_GetGestureInfo},
{ 8, 1815, "GetGuiResources",                      user32_GetGuiResources},
{ 8, 1816, "GetIconInfo",                          user32_GetIconInfo},
{ 0, 1817, "GetIconInfoExA",                       user32_GetIconInfoExA},
{ 0, 1818, "GetIconInfoExW",                       user32_GetIconInfoExW},
{ 0, 1819, "GetInputDesktop",                      user32_GetInputDesktop},
{ 0, 1820, "GetInputLocaleInfo",                   user32_GetInputLocaleInfo},
{ 0, 1821, "GetInputState",                        user32_GetInputState},
{ 0, 1822, "GetInternalWindowPos",                 user32_GetInternalWindowPos},
{ 0, 1823, "GetKBCodePage",                        user32_GetKBCodePage},
{12, 1824, "GetKeyNameTextA",                      user32_GetKeyNameTextA},
{12, 1825, "GetKeyNameTextW",                      user32_GetKeyNameTextW},
{ 4, 1826, "GetKeyState",                          user32_GetKeyState},
{ 4, 1827, "GetKeyboardLayout",                    user32_GetKeyboardLayout},
{ 8, 1828, "GetKeyboardLayoutList",                user32_GetKeyboardLayoutList},
{ 4, 1829, "GetKeyboardLayoutNameA",               user32_GetKeyboardLayoutNameA},
{ 4, 1830, "GetKeyboardLayoutNameW",               user32_GetKeyboardLayoutNameW},
{ 4, 1831, "GetKeyboardState",                     user32_GetKeyboardState},
{ 4, 1832, "GetKeyboardType",                      user32_GetKeyboardType},
{ 4, 1833, "GetLastActivePopup",                   user32_GetLastActivePopup},
{ 4, 1834, "GetLastInputInfo",                     user32_GetLastInputInfo},
{ 0, 1835, "GetLayeredWindowAttributes",           user32_GetLayeredWindowAttributes},
{ 4, 1836, "GetListBoxInfo",                       user32_GetListBoxInfo},
{ 0, 1837, "GetMagnificationDesktopColorEffect",   user32_GetMagnificationDesktopColorEffect},
{ 0, 1838, "GetMagnificationDesktopMagnification", user32_GetMagnificationDesktopMagnification},
{ 0, 1839, "GetMagnificationLensCtxInformation",   user32_GetMagnificationLensCtxInformation},
{ 4, 1840, "GetMenu",                              user32_GetMenu},
{16, 1841, "GetMenuBarInfo",                       user32_GetMenuBarInfo},
{ 0, 1842, "GetMenuCheckMarkDimensions",           user32_GetMenuCheckMarkDimensions},
{ 4, 1843, "GetMenuContextHelpId",                 user32_GetMenuContextHelpId},
{12, 1844, "GetMenuDefaultItem",                   user32_GetMenuDefaultItem},
{ 8, 1845, "GetMenuInfo",                          user32_GetMenuInfo},
{ 4, 1846, "GetMenuItemCount",                     user32_GetMenuItemCount},
{ 8, 1847, "GetMenuItemID",                        user32_GetMenuItemID},
{16, 1848, "GetMenuItemInfoA",                     user32_GetMenuItemInfoA},
{16, 1849, "GetMenuItemInfoW",                     user32_GetMenuItemInfoW},
{16, 1850, "GetMenuItemRect",                      user32_GetMenuItemRect},
{12, 1851, "GetMenuState",                         user32_GetMenuState},
{20, 1852, "GetMenuStringA",                       user32_GetMenuStringA},
{20, 1853, "GetMenuStringW",                       user32_GetMenuStringW},
{16, 1854, "GetMessageA",                          user32_GetMessageA},
{ 0, 1855, "GetMessageExtraInfo",                  user32_GetMessageExtraInfo},
{ 0, 1856, "GetMessagePos",                        user32_GetMessagePos},
{ 0, 1857, "GetMessageTime",                       user32_GetMessageTime},
{16, 1858, "GetMessageW",                          user32_GetMessageW},
{ 8, 1859, "GetMonitorInfoA",                      user32_GetMonitorInfoA},
{ 8, 1860, "GetMonitorInfoW",                      user32_GetMonitorInfoW},
{ 0, 1861, "GetMouseMovePointsEx",                 user32_GetMouseMovePointsEx},
{12, 1862, "GetNextDlgGroupItem",                  user32_GetNextDlgGroupItem},
{12, 1863, "GetNextDlgTabItem",                    user32_GetNextDlgTabItem},
{ 0, 1864, "GetOpenClipboardWindow",               user32_GetOpenClipboardWindow},
{ 4, 1865, "GetParent",                            user32_GetParent},
{ 0, 1866, "GetPhysicalCursorPos",                 user32_GetPhysicalCursorPos},
{ 8, 1867, "GetPriorityClipboardFormat",           user32_GetPriorityClipboardFormat},
{ 4, 1868, "GetProcessDefaultLayout",              user32_GetProcessDefaultLayout},
{ 0, 1869, "GetProcessWindowStation",              user32_GetProcessWindowStation},
{ 0, 1870, "GetProgmanWindow",                     user32_GetProgmanWindow},
{ 8, 1871, "GetPropA",                             user32_GetPropA},
{ 8, 1872, "GetPropW",                             user32_GetPropW},
{ 4, 1873, "GetQueueStatus",                       user32_GetQueueStatus},
{ 0, 1874, "GetRawInputBuffer",                    user32_GetRawInputBuffer},
{ 0, 1875, "GetRawInputData",                      user32_GetRawInputData},
{ 0, 1876, "GetRawInputDeviceInfoA",               user32_GetRawInputDeviceInfoA},
{ 0, 1877, "GetRawInputDeviceInfoW",               user32_GetRawInputDeviceInfoW},
{ 0, 1878, "GetRawInputDeviceList",                user32_GetRawInputDeviceList},
{ 0, 1879, "GetReasonTitleFromReasonCode",         user32_GetReasonTitleFromReasonCode},
{ 0, 1880, "GetRegisteredRawInputDevices",         user32_GetRegisteredRawInputDevices},
{12, 1881, "GetScrollBarInfo",                     user32_GetScrollBarInfo},
{12, 1882, "GetScrollInfo",                        user32_GetScrollInfo},
{ 8, 1883, "GetScrollPos",                         user32_GetScrollPos},
{16, 1884, "GetScrollRange",                       user32_GetScrollRange},
{ 0, 1885, "GetSendMessageReceiver",               user32_GetSendMessageReceiver},
{ 0, 1886, "GetShellWindow",                       user32_GetShellWindow},
{ 8, 1887, "GetSubMenu",                           user32_GetSubMenu},
{ 4, 1888, "GetSysColor",                          user32_GetSysColor},
{ 4, 1889, "GetSysColorBrush",                     user32_GetSysColorBrush},
{ 8, 1890, "GetSystemMenu",                        user32_GetSystemMenu},
{ 4, 1891, "GetSystemMetrics",                     user32_GetSystemMetrics},
{20, 1892, "GetTabbedTextExtentA",                 user32_GetTabbedTextExtentA},
{20, 1893, "GetTabbedTextExtentW",                 user32_GetTabbedTextExtentW},
{ 0, 1894, "GetTaskmanWindow",                     user32_GetTaskmanWindow},
{ 4, 1895, "GetThreadDesktop",                     user32_GetThreadDesktop},
{ 8, 1896, "GetTitleBarInfo",                      user32_GetTitleBarInfo},
{ 0, 1897, "GetTopLevelWindow",                    user32_GetTopLevelWindow},
{ 4, 1898, "GetTopWindow",                         user32_GetTopWindow},
{ 0, 1899, "GetTouchInputInfo",                    user32_GetTouchInputInfo},
{12, 1900, "GetUpdateRect",                        user32_GetUpdateRect},
{12, 1901, "GetUpdateRgn",                         user32_GetUpdateRgn},
{ 0, 1902, "GetUpdatedClipboardFormats",           user32_GetUpdatedClipboardFormats},
{20, 1903, "GetUserObjectInformationA",            user32_GetUserObjectInformationA},
{20, 1904, "GetUserObjectInformationW",            user32_GetUserObjectInformationW},
{20, 1905, "GetUserObjectSecurity",                user32_GetUserObjectSecurity},
{ 0, 1906, "GetWinStationInfo",                    user32_GetWinStationInfo},
{ 8, 1907, "GetWindow",                            user32_GetWindow},
{ 0, 1908, "GetWindowCompositionAttribute",        user32_GetWindowCompositionAttribute},
{ 0, 1909, "GetWindowCompositionInfo",             user32_GetWindowCompositionInfo},
{ 4, 1910, "GetWindowContextHelpId",               user32_GetWindowContextHelpId},
{ 4, 1911, "GetWindowDC",                          user32_GetWindowDC},
{ 0, 1912, "GetWindowDisplayAffinity",             user32_GetWindowDisplayAffinity},
{ 8, 1913, "GetWindowInfo",                        user32_GetWindowInfo},
{ 8, 1914, "GetWindowLongA",                       user32_GetWindowLongA},
{ 8, 1915, "GetWindowLongW",                       user32_GetWindowLongW},
{ 0, 1916, "GetWindowMinimizeRect",                user32_GetWindowMinimizeRect},
{12, 1917, "GetWindowModuleFileName",              user32_GetWindowModuleFileNameA},
{12, 1918, "GetWindowModuleFileNameA",             user32_GetWindowModuleFileNameA},
{12, 1919, "GetWindowModuleFileNameW",             user32_GetWindowModuleFileNameW},
{ 8, 1920, "GetWindowPlacement",                   user32_GetWindowPlacement},
{ 8, 1921, "GetWindowRect",                        user32_GetWindowRect},
{ 8, 1922, "GetWindowRgn",                         user32_GetWindowRgn},
{ 0, 1923, "GetWindowRgnBox",                      user32_GetWindowRgnBox},
{ 0, 1924, "GetWindowRgnEx",                       user32_GetWindowRgnEx},
{12, 1925, "GetWindowTextA",                       user32_GetWindowTextA},
{ 4, 1926, "GetWindowTextLengthA",                 user32_GetWindowTextLengthA},
{ 4, 1927, "GetWindowTextLengthW",                 user32_GetWindowTextLengthW},
{12, 1928, "GetWindowTextW",                       user32_GetWindowTextW},
{ 8, 1929, "GetWindowThreadProcessId",             user32_GetWindowThreadProcessId},
{ 8, 1930, "GetWindowWord",                        user32_GetWindowWord},
{ 0, 1931, "GhostWindowFromHungWindow",            user32_GhostWindowFromHungWindow},
{36, 1932, "GrayStringA",                          user32_GrayStringA},
{36, 1933, "GrayStringW",                          user32_GrayStringW},
{ 4, 1934, "HideCaret",                            user32_HideCaret},
{16, 1935, "HiliteMenuItem",                       user32_HiliteMenuItem},
{ 0, 1936, "HungWindowFromGhostWindow",            user32_HungWindowFromGhostWindow},
{ 8, 1937, "IMPGetIMEA",                           user32_IMPGetIMEA},
{ 8, 1938, "IMPGetIMEW",                           user32_IMPGetIMEW},
{ 4, 1939, "IMPQueryIMEA",                         user32_IMPQueryIMEA},
{ 4, 1940, "IMPQueryIMEW",                         user32_IMPQueryIMEW},
{ 8, 1941, "IMPSetIMEA",                           user32_IMPSetIMEA},
{ 8, 1942, "IMPSetIMEW",                           user32_IMPSetIMEW},
{ 8, 1943, "ImpersonateDdeClientWindow",           user32_ImpersonateDdeClientWindow},
{ 0, 1944, "InSendMessage",                        user32_InSendMessage},
{ 4, 1945, "InSendMessageEx",                      user32_InSendMessageEx},
{12, 1946, "InflateRect",                          user32_InflateRect},
{ 0, 1947, "InitializeLpkHooks",                   user32_InitializeLpkHooks},
{20, 1948, "InsertMenuA",                          user32_InsertMenuA},
{16, 1949, "InsertMenuItemA",                      user32_InsertMenuItemA},
{16, 1950, "InsertMenuItemW",                      user32_InsertMenuItemW},
{20, 1951, "InsertMenuW",                          user32_InsertMenuW},
{ 0, 1952, "InternalGetWindowIcon",                user32_InternalGetWindowIcon},
{ 0, 1953, "InternalGetWindowText",                user32_InternalGetWindowText},
{12, 1954, "IntersectRect",                        user32_IntersectRect},
{12, 1955, "InvalidateRect",                       user32_InvalidateRect},
{12, 1956, "InvalidateRgn",                        user32_InvalidateRgn},
{ 8, 1957, "InvertRect",                           user32_InvertRect},
{ 4, 1958, "IsCharAlphaA",                         user32_IsCharAlphaA},
{ 4, 1959, "IsCharAlphaNumericA",                  user32_IsCharAlphaNumericA},
{ 4, 1960, "IsCharAlphaNumericW",                  user32_IsCharAlphaNumericW},
{ 4, 1961, "IsCharAlphaW",                         user32_IsCharAlphaW},
{ 4, 1962, "IsCharLowerA",                         user32_IsCharLowerA},
{ 4, 1963, "IsCharLowerW",                         user32_IsCharLowerW},
{ 4, 1964, "IsCharUpperA",                         user32_IsCharUpperA},
{ 4, 1965, "IsCharUpperW",                         user32_IsCharUpperW},
{ 8, 1966, "IsChild",                              user32_IsChild},
{ 4, 1967, "IsClipboardFormatAvailable",           user32_IsClipboardFormatAvailable},
{ 8, 1968, "IsDialogMessage",                      user32_IsDialogMessageA},
{ 8, 1969, "IsDialogMessageA",                     user32_IsDialogMessageA},
{ 8, 1970, "IsDialogMessageW",                     user32_IsDialogMessageW},
{ 8, 1971, "IsDlgButtonChecked",                   user32_IsDlgButtonChecked},
{ 0, 1972, "IsGUIThread",                          user32_IsGUIThread},
{ 0, 1973, "IsHungAppWindow",                      user32_IsHungAppWindow},
{ 4, 1974, "IsIconic",                             user32_IsIconic},
{ 4, 1975, "IsMenu",                               user32_IsMenu},
{ 0, 1976, "IsProcessDPIAware",                    user32_IsProcessDPIAware},
{ 4, 1977, "IsRectEmpty",                          user32_IsRectEmpty},
{ 0, 1978, "IsSETEnabled",                         user32_IsSETEnabled},
{ 0, 1979, "IsServerSideWindow",                   user32_IsServerSideWindow},
{ 0, 1980, "IsThreadDesktopComposited",            user32_IsThreadDesktopComposited},
{ 0, 1981, "IsTopLevelWindow",                     user32_IsTopLevelWindow},
{ 0, 1982, "IsTouchWindow",                        user32_IsTouchWindow},
{ 0, 1983, "IsWinEventHookInstalled",              user32_IsWinEventHookInstalled},
{ 4, 1984, "IsWindow",                             user32_IsWindow},
{ 4, 1985, "IsWindowEnabled",                      user32_IsWindowEnabled},
{ 0, 1986, "IsWindowInDestroy",                    user32_IsWindowInDestroy},
{ 0, 1987, "IsWindowRedirectedForPrint",           user32_IsWindowRedirectedForPrint},
{ 4, 1988, "IsWindowUnicode",                      user32_IsWindowUnicode},
{ 4, 1989, "IsWindowVisible",                      user32_IsWindowVisible},
{ 0, 1990, "IsWow64Message",                       user32_IsWow64Message},
{ 4, 1991, "IsZoomed",                             user32_IsZoomed},
{ 8, 1992, "KillTimer",                            user32_KillTimer},
{ 8, 1993, "LoadAcceleratorsA",                    user32_LoadAcceleratorsA},
{ 8, 1994, "LoadAcceleratorsW",                    user32_LoadAcceleratorsW},
{ 8, 1995, "LoadBitmapA",                          user32_LoadBitmapA},
{ 8, 1996, "LoadBitmapW",                          user32_LoadBitmapW},
{ 8, 1997, "LoadCursorA",                          user32_LoadCursorA},
{ 4, 1998, "LoadCursorFromFileA",                  user32_LoadCursorFromFileA},
{ 4, 1999, "LoadCursorFromFileW",                  user32_LoadCursorFromFileW},
{ 8, 2003, "LoadCursorW",                          user32_LoadCursorW},
{ 8, 2004, "LoadIconA",                            user32_LoadIconA},
{ 8, 2006, "LoadIconW",                            user32_LoadIconW},
{24, 2007, "LoadImageA",                           user32_LoadImageA},
{24, 2008, "LoadImageW",                           user32_LoadImageW},
{ 8, 2009, "LoadKeyboardLayoutA",                  user32_LoadKeyboardLayoutA},
{ 0, 2010, "LoadKeyboardLayoutEx",                 user32_LoadKeyboardLayoutEx},
{ 8, 2011, "LoadKeyboardLayoutW",                  user32_LoadKeyboardLayoutW},
{ 0, 2012, "LoadLocalFonts",                       user32_LoadLocalFonts},
{ 8, 2013, "LoadMenuA",                            user32_LoadMenuA},
{ 4, 2014, "LoadMenuIndirectA",                    user32_LoadMenuIndirectA},
{ 4, 2015, "LoadMenuIndirectW",                    user32_LoadMenuIndirectW},
{ 8, 2016, "LoadMenuW",                            user32_LoadMenuW},
{ 0, 2017, "LoadRemoteFonts",                      user32_LoadRemoteFonts},
{16, 2018, "LoadStringA",                          user32_LoadStringA},
{16, 2019, "LoadStringW",                          user32_LoadStringW},
{ 0, 2020, "LockSetForegroundWindow",              user32_LockSetForegroundWindow},
{ 0, 2021, "LockWindowStation",                    user32_LockWindowStation},
{ 4, 2022, "LockWindowUpdate",                     user32_LockWindowUpdate},
{ 0, 2023, "LockWorkStation",                      user32_LockWorkStation},
{ 0, 2024, "LogicalToPhysicalPoint",               user32_LogicalToPhysicalPoint},
{ 8, 2025, "LookupIconIdFromDirectory",            user32_LookupIconIdFromDirectory},
{20, 2026, "LookupIconIdFromDirectoryEx",          user32_LookupIconIdFromDirectoryEx},
{ 0, 2027, "MBToWCSEx",                            user32_MBToWCSEx},
{ 0, 2028, "MB_GetString",                         user32_MB_GetString},
{ 8, 2029, "MapDialogRect",                        user32_MapDialogRect},
{ 8, 2030, "MapVirtualKeyA",                       user32_MapVirtualKeyA},
{12, 2031, "MapVirtualKeyExA",                     user32_MapVirtualKeyExA},
{12, 2032, "MapVirtualKeyExW",                     user32_MapVirtualKeyExW},
{ 8, 2033, "MapVirtualKeyW",                       user32_MapVirtualKeyW},
{16, 2034, "MapWindowPoints",                      user32_MapWindowPoints},
{16, 2035, "MenuItemFromPoint",                    user32_MenuItemFromPoint},
{ 0, 2036, "MenuWindowProcA",                      user32_MenuWindowProcA},
{ 0, 2037, "MenuWindowProcW",                      user32_MenuWindowProcW},
{ 4, 2038, "MessageBeep",                          user32_MessageBeep},
{16, 2039, "MessageBoxA",                          user32_MessageBoxA},
{20, 2040, "MessageBoxExA",                        user32_MessageBoxExA},
{20, 2041, "MessageBoxExW",                        user32_MessageBoxExW},
{ 4, 2042, "MessageBoxIndirectA",                  user32_MessageBoxIndirectA},
{ 4, 2043, "MessageBoxIndirectW",                  user32_MessageBoxIndirectW},
{ 0, 2044, "MessageBoxTimeoutA",                   user32_MessageBoxTimeoutA},
{ 0, 2045, "MessageBoxTimeoutW",                   user32_MessageBoxTimeoutW},
{16, 2046, "MessageBoxW",                          user32_MessageBoxW},
{20, 2047, "ModifyMenuA",                          user32_ModifyMenuA},
{20, 2048, "ModifyMenuW",                          user32_ModifyMenuW},
{12, 2049, "MonitorFromPoint",                     user32_MonitorFromPoint},
{ 8, 2050, "MonitorFromRect",                      user32_MonitorFromRect},
{ 8, 2051, "MonitorFromWindow",                    user32_MonitorFromWindow},
{24, 2052, "MoveWindow",                           user32_MoveWindow},
{20, 2053, "MsgWaitForMultipleObjects",            user32_MsgWaitForMultipleObjects},
{20, 2054, "MsgWaitForMultipleObjectsEx",          user32_MsgWaitForMultipleObjectsEx},
{ 0, 2055, "NotifyOverlayWindow",                  user32_NotifyOverlayWindow},
{16, 2056, "NotifyWinEvent",                       user32_NotifyWinEvent},
{ 4, 2057, "OemKeyScan",                           user32_OemKeyScan},
{ 8, 2058, "OemToCharA",                           user32_OemToCharA},
{12, 2059, "OemToCharBuffA",                       user32_OemToCharBuffA},
{12, 2060, "OemToCharBuffW",                       user32_OemToCharBuffW},
{ 8, 2061, "OemToCharW",                           user32_OemToCharW},
{12, 2062, "OffsetRect",                           user32_OffsetRect},
{ 4, 2063, "OpenClipboard",                        user32_OpenClipboard},
{16, 2064, "OpenDesktopA",                         user32_OpenDesktopA},
{16, 2065, "OpenDesktopW",                         user32_OpenDesktopW},
{ 4, 2066, "OpenIcon",                             user32_OpenIcon},
{12, 2067, "OpenInputDesktop",                     user32_OpenInputDesktop},
{ 0, 2068, "OpenThreadDesktop",                    user32_OpenThreadDesktop},
{12, 2069, "OpenWindowStationA",                   user32_OpenWindowStationA},
{12, 2070, "OpenWindowStationW",                   user32_OpenWindowStationW},
{12, 2071, "PackDDElParam",                        user32_PackDDElParam},
{ 4, 2072, "PaintDesktop",                         user32_PaintDesktop},
{ 0, 2073, "PaintMenuBar",                         user32_PaintMenuBar},
{ 0, 2074, "PaintMonitor",                         user32_PaintMonitor},
{20, 2075, "PeekMessageA",                         user32_PeekMessageA},
{20, 2076, "PeekMessageW",                         user32_PeekMessageW},
{ 0, 2077, "PhysicalToLogicalPoint",               user32_PhysicalToLogicalPoint},
{16, 2078, "PostMessageA",                         user32_PostMessageA},
{16, 2079, "PostMessageW",                         user32_PostMessageW},
{ 4, 2080, "PostQuitMessage",                      user32_PostQuitMessage},
{16, 2081, "PostThreadMessageA",                   user32_PostThreadMessageA},
{16, 2082, "PostThreadMessageW",                   user32_PostThreadMessageW},
{ 0, 2083, "PrintWindow",                          user32_PrintWindow},
{ 0, 2084, "PrivateExtractIconExA",                user32_PrivateExtractIconExA},
{ 0, 2085, "PrivateExtractIconExW",                user32_PrivateExtractIconExW},
{ 0, 2086, "PrivateExtractIconsA",                 user32_PrivateExtractIconsA},
{ 0, 2087, "PrivateExtractIconsW",                 user32_PrivateExtractIconsW},
{ 0, 2088, "PrivateRegisterICSProc",               user32_PrivateRegisterICSProc},
{12, 2089, "PtInRect",                             user32_PtInRect},
{ 0, 2090, "QueryDisplayConfig",                   user32_QueryDisplayConfig},
{ 0, 2091, "QuerySendMessage",                     user32_QuerySendMessage},
{12, 2092, "RealChildWindowFromPoint",             user32_RealChildWindowFromPoint},
{12, 2093, "RealGetWindowClass",                   user32_RealGetWindowClassA},
{12, 2094, "RealGetWindowClassA",                  user32_RealGetWindowClassA},
{12, 2095, "RealGetWindowClassW",                  user32_RealGetWindowClassW},
{ 0, 2096, "ReasonCodeNeedsBugID",                 user32_ReasonCodeNeedsBugID},
{ 0, 2097, "ReasonCodeNeedsComment",               user32_ReasonCodeNeedsComment},
{ 0, 2098, "RecordShutdownReason",                 user32_RecordShutdownReason},
{16, 2099, "RedrawWindow",                         user32_RedrawWindow},
{ 4, 2100, "RegisterClassA",                       user32_RegisterClassA},
{ 4, 2101, "RegisterClassExA",                     user32_RegisterClassExA},
{ 4, 2102, "RegisterClassExW",                     user32_RegisterClassExW},
{ 4, 2103, "RegisterClassW",                       user32_RegisterClassW},
{ 4, 2104, "RegisterClipboardFormatA",             user32_RegisterClipboardFormatA},
{ 4, 2105, "RegisterClipboardFormatW",             user32_RegisterClipboardFormatW},
{12, 2106, "RegisterDeviceNotificationA",          user32_RegisterDeviceNotificationA},
{12, 2107, "RegisterDeviceNotificationW",          user32_RegisterDeviceNotificationW},
{ 0, 2108, "RegisterErrorReportingDialog",         user32_RegisterErrorReportingDialog},
{ 0, 2109, "RegisterFrostWindow",                  user32_RegisterFrostWindow},
{ 0, 2110, "RegisterGhostWindow",                  user32_RegisterGhostWindow},
{16, 2111, "RegisterHotKey",                       user32_RegisterHotKey},
{ 0, 2112, "RegisterLogonProcess",                 user32_RegisterLogonProcess},
{ 0, 2113, "RegisterMessagePumpHook",              user32_RegisterMessagePumpHook},
{ 0, 2114, "RegisterPowerSettingNotification",     user32_RegisterPowerSettingNotification},
{ 0, 2115, "RegisterRawInputDevices",              user32_RegisterRawInputDevices},
{ 0, 2116, "RegisterServicesProcess",              user32_RegisterServicesProcess},
{ 0, 2117, "RegisterSessionPort",                  user32_RegisterSessionPort},
{ 0, 2118, "RegisterShellHookWindow",              user32_RegisterShellHookWindow},
{ 0, 2119, "RegisterSystemThread",                 user32_RegisterSystemThread},
{ 0, 2120, "RegisterTasklist",                     user32_RegisterTasklist},
{ 0, 2121, "RegisterTouchWindow",                  user32_RegisterTouchWindow},
{ 0, 2122, "RegisterUserApiHook",                  user32_RegisterUserApiHook},
{ 4, 2123, "RegisterWindowMessageA",               user32_RegisterWindowMessageA},
{ 4, 2124, "RegisterWindowMessageW",               user32_RegisterWindowMessageW},
{ 0, 2125, "ReleaseCapture",                       user32_ReleaseCapture},
{ 8, 2126, "ReleaseDC",                            user32_ReleaseDC},
{ 0, 2127, "RemoveClipboardFormatListener",        user32_RemoveClipboardFormatListener},
{12, 2128, "RemoveMenu",                           user32_RemoveMenu},
{ 8, 2129, "RemovePropA",                          user32_RemovePropA},
{ 8, 2130, "RemovePropW",                          user32_RemovePropW},
{ 4, 2131, "ReplyMessage",                         user32_ReplyMessage},
{ 0, 2132, "ResolveDesktopForWOW",                 user32_ResolveDesktopForWOW},
{20, 2133, "ReuseDDElParam",                       user32_ReuseDDElParam},
{ 8, 2134, "ScreenToClient",                       user32_ScreenToClient},
{12, 2135, "ScrollChildren",                       user32_ScrollChildren},
{28, 2136, "ScrollDC",                             user32_ScrollDC},
{20, 2137, "ScrollWindow",                         user32_ScrollWindow},
{32, 2138, "ScrollWindowEx",                       user32_ScrollWindowEx},
{20, 2139, "SendDlgItemMessageA",                  user32_SendDlgItemMessageA},
{20, 2140, "SendDlgItemMessageW",                  user32_SendDlgItemMessageW},
{ 8, 2141, "SendIMEMessageExA",                    user32_SendIMEMessageExA},
{ 8, 2142, "SendIMEMessageExW",                    user32_SendIMEMessageExW},
{12, 2143, "SendInput",                            user32_SendInput},
{16, 2144, "SendMessageA",                         user32_SendMessageA},
{24, 2145, "SendMessageCallbackA",                 user32_SendMessageCallbackA},
{24, 2146, "SendMessageCallbackW",                 user32_SendMessageCallbackW},
{28, 2147, "SendMessageTimeoutA",                  user32_SendMessageTimeoutA},
{28, 2148, "SendMessageTimeoutW",                  user32_SendMessageTimeoutW},
{16, 2149, "SendMessageW",                         user32_SendMessageW},
{16, 2150, "SendNotifyMessageA",                   user32_SendNotifyMessageA},
{16, 2151, "SendNotifyMessageW",                   user32_SendNotifyMessageW},
{ 4, 2152, "SetActiveWindow",                      user32_SetActiveWindow},
{ 4, 2153, "SetCapture",                           user32_SetCapture},
{ 4, 2154, "SetCaretBlinkTime",                    user32_SetCaretBlinkTime},
{ 8, 2155, "SetCaretPos",                          user32_SetCaretPos},
{12, 2156, "SetClassLongA",                        user32_SetClassLongA},
{12, 2157, "SetClassLongW",                        user32_SetClassLongW},
{12, 2158, "SetClassWord",                         user32_SetClassWord},
{ 8, 2159, "SetClipboardData",                     user32_SetClipboardData},
{ 4, 2160, "SetClipboardViewer",                   user32_SetClipboardViewer},
{ 4, 2161, "SetCursor",                            user32_SetCursor},
{ 0, 2162, "SetCursorContents",                    user32_SetCursorContents},
{ 8, 2163, "SetCursorPos",                         user32_SetCursorPos},
{ 4, 2164, "SetDebugErrorLevel",                   user32_SetDebugErrorLevel},
{ 4, 2165, "SetDeskWallpaper",                     user32_SetDeskWallpaper},
{ 0, 2166, "SetDisplayConfig",                     user32_SetDisplayConfig},
{16, 2167, "SetDlgItemInt",                        user32_SetDlgItemInt},
{12, 2168, "SetDlgItemTextA",                      user32_SetDlgItemTextA},
{12, 2169, "SetDlgItemTextW",                      user32_SetDlgItemTextW},
{ 4, 2170, "SetDoubleClickTime",                   user32_SetDoubleClickTime},
{ 4, 2171, "SetFocus",                             user32_SetFocus},
{ 4, 2172, "SetForegroundWindow",                  user32_SetForegroundWindow},
{ 0, 2173, "SetGestureConfig",                     user32_SetGestureConfig},
{ 0, 2174, "SetInternalWindowPos",                 user32_SetInternalWindowPos},
{ 4, 2175, "SetKeyboardState",                     user32_SetKeyboardState},
{ 8, 2176, "SetLastErrorEx",                       user32_SetLastErrorEx},
{ 0, 2177, "SetLayeredWindowAttributes",           user32_SetLayeredWindowAttributes},
{ 0, 2178, "SetMagnificationDesktopColorEffect",   user32_SetMagnificationDesktopColorEffect},
{ 0, 2179, "SetMagnificationDesktopMagnification", user32_SetMagnificationDesktopMagnification},
{ 0, 2180, "SetMagnificationLensCtxInformation",   user32_SetMagnificationLensCtxInformation},
{ 8, 2181, "SetMenu",                              user32_SetMenu},
{ 8, 2182, "SetMenuContextHelpId",                 user32_SetMenuContextHelpId},
{12, 2183, "SetMenuDefaultItem",                   user32_SetMenuDefaultItem},
{ 8, 2184, "SetMenuInfo",                          user32_SetMenuInfo},
{20, 2185, "SetMenuItemBitmaps",                   user32_SetMenuItemBitmaps},
{16, 2186, "SetMenuItemInfoA",                     user32_SetMenuItemInfoA},
{16, 2187, "SetMenuItemInfoW",                     user32_SetMenuItemInfoW},
{ 4, 2188, "SetMessageExtraInfo",                  user32_SetMessageExtraInfo},
{ 4, 2189, "SetMessageQueue",                      user32_SetMessageQueue},
{ 0, 2190, "SetMirrorRendering",                   user32_SetMirrorRendering},
{ 8, 2191, "SetParent",                            user32_SetParent},
{ 0, 2192, "SetPhysicalCursorPos",                 user32_SetPhysicalCursorPos},
{ 0, 2193, "SetProcessDPIAware",                   user32_SetProcessDPIAware},
{ 4, 2194, "SetProcessDefaultLayout",              user32_SetProcessDefaultLayout},
{ 4, 2195, "SetProcessWindowStation",              user32_SetProcessWindowStation},
{ 0, 2196, "SetProgmanWindow",                     user32_SetProgmanWindow},
{12, 2197, "SetPropA",                             user32_SetPropA},
{12, 2198, "SetPropW",                             user32_SetPropW},
{20, 2199, "SetRect",                              user32_SetRect},
{ 4, 2200, "SetRectEmpty",                         user32_SetRectEmpty},
{16, 2201, "SetScrollInfo",                        user32_SetScrollInfo},
{16, 2202, "SetScrollPos",                         user32_SetScrollPos},
{20, 2203, "SetScrollRange",                       user32_SetScrollRange},
{ 4, 2204, "SetShellWindow",                       user32_SetShellWindow},
{ 0, 2205, "SetShellWindowEx",                     user32_SetShellWindowEx},
{12, 2206, "SetSysColors",                         user32_SetSysColors},
{ 0, 2207, "SetSysColorsTemp",                     user32_SetSysColorsTemp},
{ 8, 2208, "SetSystemCursor",                      user32_SetSystemCursor},
{ 8, 2209, "SetSystemMenu",                        user32_SetSystemMenu},
{ 0, 2210, "SetTaskmanWindow",                     user32_SetTaskmanWindow},
{ 4, 2211, "SetThreadDesktop",                     user32_SetThreadDesktop},
{16, 2212, "SetTimer",                             user32_SetTimer},
{16, 2213, "SetUserObjectInformationA",            user32_SetUserObjectInformationA},
{16, 2214, "SetUserObjectInformationW",            user32_SetUserObjectInformationW},
{12, 2215, "SetUserObjectSecurity",                user32_SetUserObjectSecurity},
{28, 2216, "SetWinEventHook",                      user32_SetWinEventHook},
{ 0, 2217, "SetWindowCompositionAttribute",        user32_SetWindowCompositionAttribute},
{ 8, 2218, "SetWindowContextHelpId",               user32_SetWindowContextHelpId},
{ 0, 2219, "SetWindowDisplayAffinity",             user32_SetWindowDisplayAffinity},
{12, 2220, "SetWindowLongA",                       user32_SetWindowLongA},
{12, 2221, "SetWindowLongW",                       user32_SetWindowLongW},
{ 8, 2222, "SetWindowPlacement",                   user32_SetWindowPlacement},
{28, 2223, "SetWindowPos",                         user32_SetWindowPos},
{12, 2224, "SetWindowRgn",                         user32_SetWindowRgn},
{ 0, 2225, "SetWindowRgnEx",                       user32_SetWindowRgnEx},
{ 0, 2226, "SetWindowStationUser",                 user32_SetWindowStationUser},
{ 8, 2227, "SetWindowTextA",                       user32_SetWindowTextA},
{ 8, 2228, "SetWindowTextW",                       user32_SetWindowTextW},
{12, 2229, "SetWindowWord",                        user32_SetWindowWord},
{ 8, 2230, "SetWindowsHookA",                      user32_SetWindowsHookA},
{16, 2231, "SetWindowsHookExA",                    user32_SetWindowsHookExA},
{16, 2232, "SetWindowsHookExW",                    user32_SetWindowsHookExW},
{ 8, 2233, "SetWindowsHookW",                      user32_SetWindowsHookW},
{ 0, 2234, "SfmDxBindSwapChain",                   user32_SfmDxBindSwapChain},
{ 0, 2235, "SfmDxGetSwapChainStats",               user32_SfmDxGetSwapChainStats},
{ 0, 2236, "SfmDxOpenSwapChain",                   user32_SfmDxOpenSwapChain},
{ 0, 2237, "SfmDxQuerySwapChainBindingStatus",     user32_SfmDxQuerySwapChainBindingStatus},
{ 0, 2238, "SfmDxReleaseSwapChain",                user32_SfmDxReleaseSwapChain},
{ 0, 2239, "SfmDxReportPendingBindingsToDwm",      user32_SfmDxReportPendingBindingsToDwm},
{ 0, 2240, "SfmDxSetSwapChainBindingStatus",       user32_SfmDxSetSwapChainBindingStatus},
{ 0, 2241, "SfmDxSetSwapChainStats",               user32_SfmDxSetSwapChainStats},
{ 4, 2242, "ShowCaret",                            user32_ShowCaret},
{ 4, 2243, "ShowCursor",                           user32_ShowCursor},
{ 8, 2244, "ShowOwnedPopups",                      user32_ShowOwnedPopups},
{12, 2245, "ShowScrollBar",                        user32_ShowScrollBar},
{ 0, 2246, "ShowStartGlass",                       user32_ShowStartGlass},
{ 0, 2247, "ShowSystemCursor",                     user32_ShowSystemCursor},
{ 8, 2248, "ShowWindow",                           user32_ShowWindow},
{ 8, 2249, "ShowWindowAsync",                      user32_ShowWindowAsync},
{ 0, 2250, "ShutdownBlockReasonCreate",            user32_ShutdownBlockReasonCreate},
{ 0, 2251, "ShutdownBlockReasonDestroy",           user32_ShutdownBlockReasonDestroy},
{ 0, 2252, "ShutdownBlockReasonQuery",             user32_ShutdownBlockReasonQuery},
{ 0, 2253, "SoftModalMessageBox",                  user32_SoftModalMessageBox},
{ 0, 2254, "SoundSentry",                          user32_SoundSentry},
{12, 2255, "SubtractRect",                         user32_SubtractRect},
{ 4, 2256, "SwapMouseButton",                      user32_SwapMouseButton},
{ 4, 2257, "SwitchDesktop",                        user32_SwitchDesktop},
{ 0, 2258, "SwitchDesktopWithFade",                user32_SwitchDesktopWithFade},
{ 0, 2259, "SwitchToThisWindow",                   user32_SwitchToThisWindow},
{16, 2260, "SystemParametersInfoA",                user32_SystemParametersInfoA},
{16, 2261, "SystemParametersInfoW",                user32_SystemParametersInfoW},
{32, 2262, "TabbedTextOutA",                       user32_TabbedTextOutA},
{32, 2263, "TabbedTextOutW",                       user32_TabbedTextOutW},
{ 8, 2264, "TileChildWindows",                     user32_TileChildWindows},
{20, 2265, "TileWindows",                          user32_TileWindows},
{20, 2266, "ToAscii",                              user32_ToAscii},
{24, 2267, "ToAsciiEx",                            user32_ToAsciiEx},
{24, 2268, "ToUnicode",                            user32_ToUnicode},
{28, 2269, "ToUnicodeEx",                          user32_ToUnicodeEx},
{ 4, 2270, "TrackMouseEvent",                      user32_TrackMouseEvent},
{28, 2271, "TrackPopupMenu",                       user32_TrackPopupMenu},
{24, 2272, "TrackPopupMenuEx",                     user32_TrackPopupMenuEx},
{12, 2273, "TranslateAccelerator",                 user32_TranslateAcceleratorA},
{12, 2274, "TranslateAcceleratorA",                user32_TranslateAcceleratorA},
{12, 2275, "TranslateAcceleratorW",                user32_TranslateAcceleratorW},
{ 8, 2276, "TranslateMDISysAccel",                 user32_TranslateMDISysAccel},
{ 4, 2277, "TranslateMessage",                     user32_TranslateMessage},
{ 0, 2278, "TranslateMessageEx",                   user32_TranslateMessageEx},
{ 4, 2279, "UnhookWinEvent",                       user32_UnhookWinEvent},
{ 8, 2280, "UnhookWindowsHook",                    user32_UnhookWindowsHook},
{ 4, 2281, "UnhookWindowsHookEx",                  user32_UnhookWindowsHookEx},
{12, 2282, "UnionRect",                            user32_UnionRect},
{ 4, 2283, "UnloadKeyboardLayout",                 user32_UnloadKeyboardLayout},
{ 0, 2284, "UnlockWindowStation",                  user32_UnlockWindowStation},
{16, 2285, "UnpackDDElParam",                      user32_UnpackDDElParam},
{ 8, 2286, "UnregisterClassA",                     user32_UnregisterClassA},
{ 8, 2287, "UnregisterClassW",                     user32_UnregisterClassW},
{ 4, 2288, "UnregisterDeviceNotification",         user32_UnregisterDeviceNotification},
{ 8, 2289, "UnregisterHotKey",                     user32_UnregisterHotKey},
{ 0, 2290, "UnregisterMessagePumpHook",            user32_UnregisterMessagePumpHook},
{ 0, 2291, "UnregisterPowerSettingNotification",   user32_UnregisterPowerSettingNotification},
{ 0, 2292, "UnregisterSessionPort",                user32_UnregisterSessionPort},
{ 0, 2293, "UnregisterTouchWindow",                user32_UnregisterTouchWindow},
{ 0, 2294, "UnregisterUserApiHook",                user32_UnregisterUserApiHook},
{36, 2295, "UpdateLayeredWindow",                  user32_UpdateLayeredWindow},
{ 0, 2296, "UpdateLayeredWindowIndirect",          user32_UpdateLayeredWindowIndirect},
{ 0, 2297, "UpdatePerUserSystemParameters",        user32_UpdatePerUserSystemParameters},
{ 4, 2298, "UpdateWindow",                         user32_UpdateWindow},
{ 0, 2299, "UpdateWindowTransform",                user32_UpdateWindowTransform},
{ 0, 2300, "User32InitializeImmEntryTable",        user32_User32InitializeImmEntryTable},
{ 0, 2301, "UserClientDllInitialize",              user32_UserClientDllInitialize},
{12, 2302, "UserHandleGrantAccess",                user32_UserHandleGrantAccess},
{ 0, 2303, "UserLpkPSMTextOut",                    user32_UserLpkPSMTextOut},
{ 0, 2304, "UserLpkTabbedTextOut",                 user32_UserLpkTabbedTextOut},
{ 0, 2305, "UserRealizePalette",                   user32_UserRealizePalette},
{ 0, 2306, "UserRegisterWowHandlers",              user32_UserRegisterWowHandlers},
{ 0, 2307, "VRipOutput",                           user32_VRipOutput},
{ 0, 2308, "VTagOutput",                           user32_VTagOutput},
{ 8, 2309, "ValidateRect",                         user32_ValidateRect},
{ 8, 2310, "ValidateRgn",                          user32_ValidateRgn},
{ 4, 2311, "VkKeyScanA",                           user32_VkKeyScanA},
{ 8, 2312, "VkKeyScanExA",                         user32_VkKeyScanExA},
{ 8, 2313, "VkKeyScanExW",                         user32_VkKeyScanExW},
{ 4, 2314, "VkKeyScanW",                           user32_VkKeyScanW},
{ 0, 2315, "WCSToMBEx",                            user32_WCSToMBEx},
{ 8, 2316, "WINNLSEnableIME",                      user32_WINNLSEnableIME},
{ 4, 2317, "WINNLSGetEnableStatus",                user32_WINNLSGetEnableStatus},
{ 4, 2318, "WINNLSGetIMEHotkey",                   user32_WINNLSGetIMEHotkey},
{ 8, 2319, "WaitForInputIdle",                     user32_WaitForInputIdle},
{ 0, 2320, "WaitMessage",                          user32_WaitMessage},
{16, 2321, "WinHelpA",                             user32_WinHelpA},
{16, 2322, "WinHelpW",                             user32_WinHelpW},
{ 4, 2323, "WindowFromDC",                         user32_WindowFromDC},
{ 0, 2324, "WindowFromPhysicalPoint",              user32_WindowFromPhysicalPoint},
{ 8, 2325, "WindowFromPoint",                      user32_WindowFromPoint},
{ 0, 2326, "_UserTestTokenForInteractive",         user32__UserTestTokenForInteractive},
{ 0, 2327, "gSharedInfo",                          user32_gSharedInfo},
{ 0, 2328, "gapfnScSendMessage",                   user32_gapfnScSendMessage},
{16, 2329, "keybd_event",                          user32_keybd_event},
{20, 2330, "mouse_event",                          user32_mouse_event},
{ 0, 2331, "wsprintfA",                            user32_wsprintfA},
{ 0, 2332, "wsprintfW",                            user32_wsprintfW},
{12, 2333, "wvsprintfA",                           user32_wvsprintfA},
{12, 2334, "wvsprintfW",                           user32_wvsprintfW},
{ 0,    0, NULL,                                   NULL}};
